package cn.beekee.zhongtong.JPush;

import android.app.IntentService;
import android.content.Intent;
import android.os.Bundle;
import cn.beekee.zhongtong.database.DatabaseRegisterHelper;
import cn.beekee.zhongtong.util.net.JsonOrder;
import cn.jpush.android.api.JPushInterface;
import java.util.Iterator;
import org.json.JSONException;
import org.json.JSONObject;

public class JService extends IntentService {
    public static final String NOTIFY = "notify";

    public JService() {
        super("JService");
    }

    /* access modifiers changed from: protected */
    public void onHandleIntent(Intent intent) {
        if (NOTIFY.equals(intent.getAction())) {
            handleNotify(intent.getExtras());
        }
    }

    private void handleNotify(Bundle bundle) {
        try {
            JSONObject notifyExtraJson = new JSONObject(bundle.getString(JPushInterface.EXTRA_EXTRA));
            Iterator<String> iterator = notifyExtraJson.keys();
            while (iterator.hasNext()) {
                String key = iterator.next();
                String value = notifyExtraJson.getString(key);
                if (JsonOrder.UpdateJson.FIELD_BILL_CODE.equals(key)) {
                    DatabaseRegisterHelper.getInstance(getApplicationContext()).update(value, bundle.getString(JPushInterface.EXTRA_ALERT), "");
                }
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }
}
