package cn.beekee.zhongtong.bean;

import cn.beekee.zhongtong.util.net.JsonOperate;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class AddressAllBean extends ResultBean {
    List<AddressBean> addressBeans = new ArrayList();

    public List<AddressBean> getAddressBeans() {
        return this.addressBeans;
    }

    public AddressAllBean(String jsonString) {
        if (jsonString != null) {
            try {
                JSONObject object = new JSONObject(jsonString);
                setResult(object.getBoolean("Result"));
                setMessage(object.getString("Message"));
                if (isResult()) {
                    JSONArray jArray = object.getJSONArray(JsonOperate.ADDRESS_USER_ADR);
                    for (int i = 0; i < jArray.length(); i++) {
                        JSONObject adrObject = jArray.getJSONObject(i);
                        this.addressBeans.add(new AddressBean(adrObject.getString("Id"), adrObject.getString(JsonOperate.ADDRESS_USER_NAME), adrObject.getString("Mobile"), adrObject.getString(JsonOperate.USER_INFO_TEL), adrObject.getString(JsonOperate.ADDRESS_USER_PROVINCE_ID), adrObject.getString(JsonOperate.ADDRESS_USER_CITY_ID), adrObject.getString(JsonOperate.ADDRESS_USER_DISTRICT_ID), adrObject.getString(JsonOperate.ADDRESS_USER_ADR), adrObject.getString(JsonOperate.USER_INFO_GENDER), adrObject.getString("Decription"), adrObject.getString(JsonOperate.USER_INFO_QQ), adrObject.getString("CompanyName"), adrObject.getString(JsonOperate.ADDRESS_USER_PROVINCE), adrObject.getString(JsonOperate.ADDRESS_USER_CITY), adrObject.getString(JsonOperate.ADDRESS_USER_DISTRICT)));
                    }
                }
                setParseResult(true);
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }
    }
}
