package cn.beekee.zhongtong.bean;

import cn.beekee.zhongtong.util.net.JsonOperate;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class ManyOrderBean extends ResultBean {
    private List<OrderBean> mList = new ArrayList();

    public List<OrderBean> getmList() {
        return this.mList;
    }

    public ManyOrderBean(String loginJsonString) {
        if (loginJsonString != null) {
            try {
                JSONObject object = new JSONObject(loginJsonString);
                setResult(object.getBoolean(JsonOperate.ORDER_RESULT));
                setMessage(object.getString(JsonOperate.ORDER_REASON));
                if (isResult()) {
                    JSONArray dataArray = object.getJSONObject("data").getJSONArray(JsonOperate.ORDER_ALL_ARRAY);
                    for (int i = 0; i < dataArray.length(); i++) {
                        JSONObject object2 = dataArray.getJSONObject(i);
                        String status = object2.getString("status");
                        String createDate = object2.getString(JsonOperate.ORDER_CREATE_TIME);
                        String orderCode = object2.getString(JsonOperate.ORDER_CODE);
                        String wayBillCode = object2.getString("mailNo");
                        String remark = object2.getString("remark");
                        String sendName = "";
                        try {
                            JSONObject sendObjectj = object2.getJSONObject("sender");
                            if (sendObjectj != null) {
                                sendName = sendObjectj.getString(JsonOperate.ORDER_NAME);
                            }
                        } catch (JSONException e) {
                        }
                        String receiveName = "";
                        try {
                            JSONObject receiveObjectj = object2.getJSONObject("receiver");
                            if (receiveObjectj != null) {
                                receiveName = receiveObjectj.getString(JsonOperate.ORDER_NAME);
                            }
                        } catch (JSONException e2) {
                        }
                        this.mList.add(new OrderBean(status, createDate, orderCode, wayBillCode, sendName, receiveName, remark));
                    }
                }
                setParseResult(true);
            } catch (JSONException e3) {
                e3.printStackTrace();
            }
        }
    }
}
