package cn.beekee.zhongtong.bean;

import java.util.HashMap;
import java.util.Map;

public class OrderBean {
    private static Map<String, String> MAP = new HashMap();
    private String createDate;
    private String orderCode;
    private String receiveName;
    private String remark;
    private String sendName;
    private String status;
    private String wayBillCode = "";

    static {
        MAP.put("0", "未处理");
        MAP.put("1", "已分配网点");
        MAP.put("2", "网点接单");
        MAP.put("3", "揽件(转运中)");
        MAP.put("4", "签收");
        MAP.put("-1", "分单失败");
        MAP.put("-2", "接单失败");
        MAP.put("-3", "揽件失败");
        MAP.put("-4", "签收失败");
        MAP.put("-5", "取消订单");
        MAP.put("99", "已完结");
    }

    public static String getStaticDecription(String status2) {
        return MAP.get(status2);
    }

    public String getRemark() {
        return this.remark == null ? "" : this.remark;
    }

    public String getStatus() {
        return this.status;
    }

    public String getCreateDate() {
        return this.createDate;
    }

    public String getOrderCode() {
        return this.orderCode;
    }

    public String getWayBillCode() {
        return this.wayBillCode;
    }

    public String getSendName() {
        return this.sendName;
    }

    public String getReceiveName() {
        return this.receiveName;
    }

    public String getStatusDecription() {
        return MAP.get(this.status);
    }

    public OrderBean(String status2, String createDate2, String orderCode2, String wayBillCode2, String sendName2, String receiveName2, String remark2) {
        this.status = status2;
        this.createDate = createDate2;
        this.orderCode = orderCode2;
        this.wayBillCode = wayBillCode2;
        this.sendName = sendName2;
        this.receiveName = receiveName2;
        this.remark = remark2;
    }
}
