package cn.beekee.zhongtong.bean;

import cn.beekee.zhongtong.util.net.JsonOperate;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class OrderUpdateBean extends ResultBean {
    private String operateRemak = "服务器数据有误";
    private boolean operateSuc;

    public OrderUpdateBean(String jsonString) {
        if (jsonString != null) {
            try {
                JSONObject object = new JSONObject(jsonString);
                setResult(object.getBoolean("status"));
                setMessage(object.getString("msg"));
                if (isResult()) {
                    JSONArray array = object.getJSONArray("data");
                    if (array.length() == 1) {
                        JSONObject object2 = array.getJSONObject(0);
                        this.operateSuc = object2.getBoolean(JsonOperate.ORDER_RESULT);
                        this.operateRemak = object2.getString(JsonOperate.ORDER_REASON);
                    }
                }
                setParseResult(true);
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }
    }

    public boolean isOperateSuc() {
        return this.operateSuc;
    }

    public String getOperateRemak() {
        return this.operateRemak;
    }
}
