package cn.beekee.zhongtong.bean;

import cn.beekee.zhongtong.util.net.JsonOperate;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class RegisterOrCancelBean {
    private String mId;
    private boolean mParseSuccess;
    private String mRemark;
    private boolean mRequestSuccess;

    public RegisterOrCancelBean(String jsonString) {
        if (jsonString != null) {
            try {
                JSONArray returnArray = new JSONArray(jsonString);
                if (returnArray.length() == 1) {
                    JSONObject returnObject = returnArray.getJSONObject(0);
                    this.mId = returnObject.getString(JsonOperate.NEWS_ID);
                    this.mRequestSuccess = returnObject.getBoolean("status");
                    this.mRemark = returnObject.getString("remark");
                    this.mParseSuccess = true;
                }
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }
    }

    public boolean ismParseSuccess() {
        return this.mParseSuccess;
    }

    public String getmId() {
        return this.mId;
    }

    public boolean ismRequestSuccess() {
        return this.mRequestSuccess;
    }

    public String getmRemark() {
        return this.mRemark;
    }
}
