package cn.beekee.zhongtong.bean;

import android.content.Context;
import android.util.Log;
import cn.beekee.zhongtong.util.StaticParam;
import cn.beekee.zhongtong.util.SweetDialogCreator;

public class ResultBean {
    private String message;
    private boolean parseResult = false;
    private boolean result;

    public boolean isParseResult() {
        return this.parseResult;
    }

    public boolean isResult() {
        return this.result;
    }

    public String getMessage() {
        return this.message;
    }

    /* access modifiers changed from: protected */
    public void setParseResult(boolean parseResult2) {
        this.parseResult = parseResult2;
    }

    /* access modifiers changed from: protected */
    public void setResult(boolean result2) {
        this.result = result2;
    }

    /* access modifiers changed from: protected */
    public void setMessage(String message2) {
        this.message = message2;
    }

    public static boolean checkBean(Context context, ResultBean bean) {
        if (!bean.isParseResult()) {
            Log.e("", "----context:::" + context);
            SweetDialogCreator.showError(context, StaticParam.NET_SERVICE_DATA_NOT);
            return false;
        } else if (bean.isResult()) {
            return true;
        } else {
            SweetDialogCreator.showError(context, bean.getMessage());
            return false;
        }
    }
}
