package cn.beekee.zhongtong.fragment.main;

import android.app.Fragment;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.fragment.FragmentWeb;

public class ActivityNewsInfo extends ActivityBase {
    public static final String NEWS_DETAIL_KEY = "news_detail_url_key";

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_newsinfo);
        findViewById(R.id.back).setOnClickListener(new View.OnClickListener() {
            /* class cn.beekee.zhongtong.fragment.main.ActivityNewsInfo.AnonymousClass1 */

            public void onClick(View v) {
                ActivityNewsInfo.this.finish();
            }
        });
        ((TextView) findViewById(R.id.title)).setText("新闻详情");
        Fragment fragment = new FragmentWeb();
        Bundle bundle = new Bundle();
        bundle.putString(FragmentWeb.URL, getIntent().getStringExtra(NEWS_DETAIL_KEY));
        fragment.setArguments(bundle);
        getFragmentManager().beginTransaction().add(R.id.frme_news, fragment).commit();
    }
}
