package cn.beekee.zhongtong.util;

import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.View;

public class WaybillTextWatcher implements TextWatcher {
    private View mNoContent;
    private View mYesContent;

    public WaybillTextWatcher(View noContent, View yesContent) {
        this.mNoContent = noContent;
        this.mYesContent = yesContent;
    }

    public void beforeTextChanged(CharSequence s, int start, int count, int after) {
    }

    public void onTextChanged(CharSequence s, int start, int before, int count) {
    }

    public void afterTextChanged(Editable s) {
        if (TextUtils.isEmpty(s.toString())) {
            this.mNoContent.setVisibility(0);
            this.mYesContent.setVisibility(4);
            return;
        }
        this.mYesContent.setVisibility(0);
        this.mNoContent.setVisibility(4);
    }
}
