package cn.beekee.zhongtong.view.adapter;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.bean.RegisterMsgBean;
import java.util.List;

public class SlipListViewWayBillMsgAdapter extends BaseAdapter {
    protected static final String TAG = "ZListViewWayBill";
    private Activity context;
    private List<RegisterMsgBean> mData;

    public SlipListViewWayBillMsgAdapter(Activity context2, List<RegisterMsgBean> data) {
        this.context = context2;
        this.mData = data;
    }

    public int getCount() {
        return this.mData.size();
    }

    public Object getItem(int position) {
        return Integer.valueOf(position);
    }

    public long getItemId(int position) {
        return (long) position;
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        int imgRes;
        if (convertView == null) {
            convertView = LayoutInflater.from(this.context).inflate(R.layout.item_listview_msg_waybill_slip, (ViewGroup) null);
        }
        ImageView wayBillStatus = (ImageView) convertView.findViewById(R.id.waybill_status);
        String content = this.mData.get(position).getWayBillContent();
        ((TextView) convertView.findViewById(R.id.waybill_content)).setText(content);
        if (content.contains("签收")) {
            imgRes = R.drawable.signin;
        } else if (content.contains("派件")) {
            imgRes = R.drawable.delivery;
        } else if (content.contains("收件")) {
            imgRes = R.drawable.receive;
        } else {
            imgRes = R.drawable.transport;
        }
        wayBillStatus.setImageResource(imgRes);
        return convertView;
    }
}
