package com.baidu.location;

import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.net.wifi.ScanResult;
import android.os.Bundle;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import android.os.Messenger;
import android.os.PowerManager;
import android.os.RemoteException;
import android.text.TextUtils;
import com.baidu.location.av;
import com.baidu.location.t;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import org.apache.http.message.BasicNameValuePair;
import org.apache.http.util.EntityUtils;
import org.json.JSONObject;

/* access modifiers changed from: package-private */
public class a4 implements m {
    private static final String k6 = "GeofenceStrategyService";
    private static final int k8 = 30000;
    private static final int k9 = 360000;
    private static final int lb = 6;
    private static final String le = "GeofenceStrategyService";
    public static final long lh = 1800000;
    private static final String lj = "1";
    private static final String lp = "com.baidu.locsdk.geofence.geofencestrategyservice";
    private static final int lq = 180000;
    private static final int ls = 60000;
    public static a4 lu = null;
    private static final String lw = "0";
    public static final String lx = "http://loc.map.baidu.com/fence";
    private static final String lz = "&gf=1";
    private List k7;
    private List lA;
    private av.b lB;
    private String la;
    private boolean lc;
    private boolean ld;
    private String lf;
    private d lg;
    private boolean li = true;
    private Handler lk = new Handler();
    private Map ll = new HashMap();
    private String lm;
    private c ln;
    private PowerManager.WakeLock lo;
    private int lr;
    private HandlerThread lt;
    private Messenger lv;
    private av.b ly;

    /* access modifiers changed from: private */
    public class a extends s {
        private static final String d2 = "fence";
        private static final String d4 = "bloc";
        private static final String d5 = "ext";
        private static final String d6 = "error";
        private static final String d8 = "in";
        private au d3;
        private final String d7;

        public a(au auVar, String str) {
            this.d3 = auVar;
            this.d7 = str;
            this.c0 = new ArrayList();
        }

        private void am() throws RemoteException {
            a4.this.li = false;
            ay.m242for(f.getServiceContext()).m257if(this.d3);
            if (a4.this.lv != null) {
                Message obtain = Message.obtain((Handler) null, (int) a1.i);
                Bundle bundle = new Bundle();
                bundle.putString("geofence_id", this.d3.getGeofenceId());
                obtain.setData(bundle);
                a4.this.lv.send(obtain);
            }
        }

        private void ao() throws RemoteException {
            a4.this.li = false;
            a4.this.ll.put(this.d3.getGeofenceId(), Long.valueOf(System.currentTimeMillis()));
            ay.m242for(f.getServiceContext()).m255do(this.d3);
            if (a4.this.lv != null) {
                Message obtain = Message.obtain((Handler) null, (int) a1.f51goto);
                Bundle bundle = new Bundle();
                bundle.putString("geofence_id", this.d3.getGeofenceId());
                obtain.setData(bundle);
                a4.this.lv.send(obtain);
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.baidu.location.s
        public void X() {
            this.cY = a4.lx;
            DecimalFormat decimalFormat = new DecimalFormat("0.00000");
            Object[] objArr = new Object[8];
            objArr[0] = decimalFormat.format(this.d3.a());
            objArr[1] = decimalFormat.format(this.d3.m205case());
            objArr[2] = String.valueOf(this.d3.m207do());
            objArr[3] = String.valueOf(this.d3.m214int());
            objArr[4] = Integer.valueOf(ay.m239do(f.getServiceContext()));
            objArr[5] = com.baidu.location.b.a.a.m262if(f.getServiceContext());
            objArr[6] = Integer.valueOf(this.d3.m206char());
            objArr[7] = av.cq().ct() ? a4.lj : a4.lw;
            this.c0.add(new BasicNameValuePair(d2, Jni.k(String.format("&x=%s&y=%s&r=%s&coord=%s&type=%s&cu=%s&fence_type=%s&wf_on=%s", objArr))));
            this.c0.add(new BasicNameValuePair(d4, this.d7));
            this.c0.add(new BasicNameValuePair(d5, Jni.k(String.format(Locale.CHINA, "&ki=%s&sn=%s", v.a(f.getServiceContext()), v.m388if(f.getServiceContext())))));
        }

        public void an() {
            R();
        }

        /* access modifiers changed from: package-private */
        @Override // com.baidu.location.s
        /* renamed from: do  reason: not valid java name */
        public void m107do(boolean z) {
            int i = 0;
            a4.this.lc = false;
            if (z && this.cZ != null) {
                try {
                    JSONObject jSONObject = new JSONObject(EntityUtils.toString(this.cZ, "UTF-8"));
                    if (jSONObject != null) {
                        int intValue = Integer.valueOf(jSONObject.getString(d6)).intValue();
                        if (jSONObject.has(d8)) {
                            i = Integer.valueOf(jSONObject.getString(d8)).intValue();
                        }
                        if (intValue == 0) {
                            a4.this.lm = null;
                            a4.this.ly = null;
                            ay.m242for(f.getServiceContext()).cH();
                            if (a4.this.li) {
                                if (i == 1) {
                                    ao();
                                } else if (i == 0) {
                                    am();
                                }
                            } else if (i == 1 && this.d3.m216try() == 1) {
                                ao();
                            } else if (i == 0 && this.d3.m216try() == 0) {
                                am();
                            }
                        }
                    }
                } catch (Exception e) {
                }
            }
        }
    }

    /* access modifiers changed from: private */
    public class b extends aj {
        private b() {
        }

        /* access modifiers changed from: package-private */
        @Override // com.baidu.location.aj
        public void aD() {
        }

        /* access modifiers changed from: package-private */
        @Override // com.baidu.location.aj
        /* renamed from: byte  reason: not valid java name */
        public void m108byte(Message message) {
        }
    }

    public class c extends BroadcastReceiver {
        public c() {
        }

        public void onReceive(Context context, Intent intent) {
            a4.this.m77byte((a4) context);
            a4.this.lk.post(a4.this.lg);
        }
    }

    /* access modifiers changed from: private */
    public class d implements Runnable, b {
        private d() {
        }

        public void run() {
            try {
                List list = a4.this.m88goto((a4) true);
                if (!a4.this.lf.equals(a4.this.lm) || a4.this.de() || !a4.this.lc) {
                    a4.this.lm = a4.this.lf;
                    a4.this.ly = a4.this.lB;
                    t.a aw = t.at().aw();
                    String l = Jni.l(String.format("%s|%s|%s|0", Integer.valueOf(aw.f138byte), Integer.valueOf(aw.f139case), Integer.valueOf(aw.a)));
                    a4.this.la = String.format("%s|%s|%s|0", Integer.valueOf(aw.f138byte), Integer.valueOf(aw.f139case), Integer.valueOf(aw.a));
                    a4.this.lA = a4.this.m100for(l, true);
                    a4.this.k7 = a4.this.m100for(l, false);
                    a4.this.m97int((a4) list);
                    a4.this.df();
                }
            } catch (Exception e) {
                a4.this.m103if(f.getServiceContext(), a4.k9);
            }
        }
    }

    a4() {
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: byte  reason: not valid java name */
    private void m77byte(Context context) {
        if (this.lo == null) {
            this.lo = ((PowerManager) context.getSystemService("power")).newWakeLock(1, "GeofenceStrategyService");
            this.lo.setReferenceCounted(false);
            this.lo.acquire(60000);
        }
    }

    public static a4 dc() {
        if (lu == null) {
            lu = new a4();
            lu.dh();
        }
        return lu;
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0072  */
    private Map dd() {
        Cursor cursor = null;
        HashMap hashMap = new HashMap();
        SQLiteDatabase readableDatabase = l.a(f.getServiceContext()).getReadableDatabase();
        try {
            long currentTimeMillis = System.currentTimeMillis();
            Cursor rawQuery = readableDatabase.rawQuery(String.format("SELECT a.ap, b.geofence_id FROM %s AS a LEFT JOIN %s AS b WHERE (a.geofence_id = b.geofence_id) AND ((b.valid_date + b.duration_millis) >= %d) AND (b.next_exit_active_time < %d) ", com.baidu.location.a.b.a, com.baidu.location.a.a.f32goto, Long.valueOf(currentTimeMillis), Long.valueOf(currentTimeMillis)), null);
            if (rawQuery == null || rawQuery.getCount() <= 0) {
                if (rawQuery != null) {
                    rawQuery.close();
                }
                readableDatabase.close();
                return hashMap;
            }
            rawQuery.moveToFirst();
            int columnIndex = rawQuery.getColumnIndex("geofence_id");
            int columnIndex2 = rawQuery.getColumnIndex(com.baidu.location.a.b.f40for);
            do {
                String string = rawQuery.getString(columnIndex);
                String string2 = rawQuery.getString(columnIndex2);
                if (hashMap.containsKey(string)) {
                    ((List) hashMap.get(string)).add(string2);
                } else {
                    ArrayList arrayList = new ArrayList();
                    arrayList.add(string2);
                    hashMap.put(string, arrayList);
                }
            } while (rawQuery.moveToNext());
            if (rawQuery != null) {
            }
            readableDatabase.close();
            return hashMap;
        } catch (Exception e) {
            e.printStackTrace();
            if (0 != 0) {
                cursor.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                cursor.close();
            }
            throw th;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean de() {
        if (this.ly == null) {
            return true;
        }
        if (this.lB == this.ly) {
            return false;
        }
        return !this.ly.a(this.lB);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void df() {
        boolean z;
        if (this.lc) {
            m103if(f.getServiceContext(), k8);
        } else if (this.lr > 0) {
            m103if(f.getServiceContext(), this.lr >= 6 ? lq : this.lr * k8);
        } else if (this.lA == null || this.lA.size() <= 0) {
            m103if(f.getServiceContext(), k9);
        } else {
            boolean z2 = false;
            Iterator it = this.lA.iterator();
            while (true) {
                z = z2;
                if (!it.hasNext()) {
                    break;
                }
                au auVar = (au) it.next();
                if (auVar.m213if() || auVar.m210for()) {
                    z2 = z;
                } else {
                    m101for(auVar);
                    z2 = true;
                }
            }
            if (this.k7 != null && this.k7.size() > 0) {
                for (au auVar2 : this.k7) {
                    if (!auVar2.m213if() && !auVar2.m210for()) {
                        m101for(auVar2);
                        z = true;
                    }
                }
            }
            if (z) {
                m103if(f.getServiceContext(), k8);
            } else {
                m103if(f.getServiceContext(), lq);
            }
        }
    }

    private void dg() {
        if (this.lo != null && this.lo.isHeld()) {
            this.lo.release();
            this.lo = null;
        }
    }

    private void dh() {
        this.lt = new HandlerThread("GeofenceStrategyService", 10);
        this.lt.start();
        this.lk = new Handler(this.lt.getLooper());
        this.lg = new d();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: goto  reason: not valid java name */
    private List m88goto(boolean z) {
        List<ScanResult> list;
        t.a aw = t.at().aw();
        this.lB = av.cq().cl();
        ArrayList arrayList = new ArrayList();
        if (z) {
            this.lf = String.format("%s|%s|%s|%s", Integer.valueOf(aw.f138byte), Integer.valueOf(aw.f139case), Integer.valueOf(aw.a), Integer.valueOf(aw.f142for));
            arrayList.add(Jni.l(this.lf));
        }
        if (!(this.lB == null || (list = this.lB.f97for) == null)) {
            for (ScanResult scanResult : list) {
                if (scanResult != null) {
                    arrayList.add(Jni.l(scanResult.BSSID.replace(":", "")));
                }
            }
        }
        return arrayList;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x00fe  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x0103  */
    /* renamed from: int  reason: not valid java name */
    private void m97int(List list) {
        List<au> list2;
        ArrayList<au> arrayList;
        if (!(list == null || list.size() == 0)) {
            int size = list.size();
            for (int i = 0; i < size; i++) {
                list.set(i, String.format("'%s'", list.get(i)));
            }
            List list3 = m102if(list, true);
            if (list3 != null) {
                Iterator it = list3.iterator();
                while (it.hasNext()) {
                    au auVar = (au) it.next();
                    Iterator it2 = this.ll.entrySet().iterator();
                    while (it2.hasNext()) {
                        Map.Entry entry = (Map.Entry) it2.next();
                        if (System.currentTimeMillis() - ((Long) entry.getValue()).longValue() >= lh) {
                            it2.remove();
                        }
                        if (auVar.getGeofenceId().equals(entry.getKey())) {
                            it.remove();
                        }
                    }
                }
            }
            List<String> list4 = m88goto(false);
            if (list4 != null && list4.size() > 0) {
                Map dd = dd();
                if (dd.size() > 0) {
                    for (String str : list4) {
                        Iterator it3 = dd.entrySet().iterator();
                        while (true) {
                            if (it3.hasNext()) {
                                if (((List) ((Map.Entry) it3.next()).getValue()).contains(str)) {
                                    it3.remove();
                                    break;
                                }
                            } else {
                                break;
                            }
                        }
                    }
                }
                if (dd.size() > 0) {
                    list4.clear();
                    list4.addAll(dd.keySet());
                    int size2 = list4.size();
                    for (int i2 = 0; i2 < size2; i2++) {
                        list4.set(i2, String.format("'%s'", list4.get(i2)));
                    }
                    list2 = m102if(list4, false);
                    arrayList = new ArrayList();
                    if (list3 != null) {
                        arrayList.addAll(list3);
                    }
                    if (list2 != null) {
                        for (au auVar2 : list2) {
                            if (!arrayList.contains(auVar2) || this.li) {
                                arrayList.add(auVar2);
                            }
                        }
                    }
                    if (arrayList != null || arrayList.size() <= 0) {
                        this.lc = false;
                    }
                    for (au auVar3 : arrayList) {
                        if (auVar3 != null) {
                            this.lc = true;
                            m101for(auVar3);
                            this.lm = this.lf;
                            this.ly = this.lB;
                            this.lr = 0;
                        } else {
                            this.lc = false;
                            this.lr++;
                            this.lr = this.lr == Integer.MAX_VALUE ? 1 : this.lr;
                        }
                    }
                    return;
                }
            }
            list2 = null;
            arrayList = new ArrayList();
            if (list3 != null) {
            }
            if (list2 != null) {
            }
            if (arrayList != null) {
            }
            this.lc = false;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:51:0x0167, code lost:
        r2 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:55:0x016d, code lost:
        r3 = r12;
        r2 = r13;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x015b  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0163  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x0167 A[ExcHandler: all (th java.lang.Throwable), Splitter:B:9:0x0043] */
    /* renamed from: for  reason: not valid java name */
    public List m100for(String str, boolean z) {
        Cursor cursor;
        String format;
        SQLiteDatabase readableDatabase = l.a(f.getServiceContext()).getReadableDatabase();
        ArrayList arrayList = null;
        if (readableDatabase != null) {
            Cursor cursor2 = null;
            long currentTimeMillis = System.currentTimeMillis();
            if (z) {
                try {
                    format = String.format("SELECT distinct b.geofence_id, b.longitude, b.latitude, b.radius, b.coord_type, b.duration_millis, b.is_lac, b.is_cell, b.is_wifi, b.radius_type FROM %s AS a LEFT JOIN %s AS b WHERE (a.geofence_id = b.geofence_id) AND (a.ap = '%s' AND  (b.valid_date + b.duration_millis >= %d) AND b.next_active_time < %d)", com.baidu.location.a.b.a, com.baidu.location.a.a.f32goto, str, Long.valueOf(currentTimeMillis), Long.valueOf(currentTimeMillis));
                } catch (Exception e) {
                    if (cursor2 != null) {
                        cursor2.close();
                    }
                    readableDatabase.close();
                    return arrayList;
                } catch (Throwable th) {
                    Throwable th2 = th;
                    cursor = null;
                    if (cursor != null) {
                        cursor.close();
                    }
                    throw th2;
                }
            } else {
                format = String.format("SELECT distinct b.geofence_id, b.longitude, b.latitude, b.radius, b.coord_type, b.duration_millis, b.is_lac, b.is_cell, b.is_wifi, b.radius_type FROM %s AS a LEFT JOIN %s AS b WHERE (a.geofence_id = b.geofence_id) AND (a.ap <> '%s' AND  (b.valid_date + b.duration_millis >= %d) AND b.next_exit_active_time < %d)", com.baidu.location.a.b.a, com.baidu.location.a.a.f32goto, str, Long.valueOf(currentTimeMillis), Long.valueOf(currentTimeMillis));
            }
            cursor = readableDatabase.rawQuery(format, null);
            if (cursor != null) {
                try {
                    if (cursor.getCount() > 0) {
                        ArrayList arrayList2 = new ArrayList();
                        cursor.moveToFirst();
                        int columnIndex = cursor.getColumnIndex("geofence_id");
                        int columnIndex2 = cursor.getColumnIndex(com.baidu.location.a.a.f28char);
                        int columnIndex3 = cursor.getColumnIndex(com.baidu.location.a.a.f34int);
                        int columnIndex4 = cursor.getColumnIndex(com.baidu.location.a.a.f30else);
                        int columnIndex5 = cursor.getColumnIndex(com.baidu.location.a.a.f36new);
                        int columnIndex6 = cursor.getColumnIndex(com.baidu.location.a.a.b);
                        int columnIndex7 = cursor.getColumnIndex(com.baidu.location.a.a.f27case);
                        int columnIndex8 = cursor.getColumnIndex(com.baidu.location.a.a.f38void);
                        int columnIndex9 = cursor.getColumnIndex(com.baidu.location.a.a.f35long);
                        int columnIndex10 = cursor.getColumnIndex(com.baidu.location.a.a.f26byte);
                        do {
                            String string = cursor.getString(columnIndex);
                            float floatValue = Float.valueOf(cursor.getString(columnIndex2)).floatValue();
                            float floatValue2 = Float.valueOf(cursor.getString(columnIndex3)).floatValue();
                            float floatValue3 = Float.valueOf(cursor.getString(columnIndex4)).floatValue();
                            String string2 = cursor.getString(columnIndex5);
                            long j = cursor.getLong(columnIndex6);
                            boolean z2 = cursor.getInt(columnIndex7) != 0;
                            boolean z3 = cursor.getInt(columnIndex8) != 0;
                            boolean z4 = cursor.getInt(columnIndex9) != 0;
                            au auVar = new au(string, (double) floatValue, (double) floatValue2, cursor.getInt(columnIndex10), j, string2);
                            if (auVar != null) {
                                auVar.a(floatValue3);
                                auVar.m208do(z2);
                                auVar.a(z3);
                                auVar.m212if(z4);
                                if (!this.li) {
                                    auVar.a(z ? 1 : 0);
                                }
                            }
                            arrayList2.add(auVar);
                        } while (cursor.moveToNext());
                        arrayList = arrayList2;
                    }
                } catch (Exception e2) {
                    cursor2 = cursor;
                    if (cursor2 != null) {
                    }
                    readableDatabase.close();
                    return arrayList;
                } catch (Throwable th3) {
                }
            }
            if (cursor != null) {
                cursor.close();
            }
            readableDatabase.close();
        }
        return arrayList;
    }

    /* renamed from: for  reason: not valid java name */
    public void m101for(au auVar) {
        new a(auVar, Jni.k(new b().i(lz).replace(BDGeofence.COORD_TYPE_GCJ, auVar.m214int()))).an();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:51:0x0172, code lost:
        r2 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:55:0x0178, code lost:
        r3 = r12;
        r2 = r13;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x0166  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x016e  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x0172 A[ExcHandler: all (th java.lang.Throwable), Splitter:B:9:0x004b] */
    /* renamed from: if  reason: not valid java name */
    public List m102if(List list, boolean z) {
        Cursor cursor;
        String join = TextUtils.join(",", list);
        SQLiteDatabase readableDatabase = l.a(f.getServiceContext()).getReadableDatabase();
        ArrayList arrayList = null;
        if (readableDatabase != null) {
            Cursor cursor2 = null;
            try {
                long currentTimeMillis = System.currentTimeMillis();
                cursor = readableDatabase.rawQuery(z ? String.format("SELECT distinct b.geofence_id, b.longitude, b.latitude, b.radius, b.coord_type, b.duration_millis, b.is_lac, b.is_cell, b.is_wifi, b.radius_type FROM %s AS a LEFT JOIN %s AS b WHERE (a.geofence_id = b.geofence_id) AND (a.ap IN (%s) AND  (b.valid_date + b.duration_millis) >= %d) AND (b.next_active_time < %d)", com.baidu.location.a.b.a, com.baidu.location.a.a.f32goto, join, Long.valueOf(currentTimeMillis), Long.valueOf(currentTimeMillis)) : String.format("SELECT distinct b.geofence_id, b.longitude, b.latitude, b.radius, b.coord_type, b.duration_millis, b.is_lac, b.is_cell, b.is_wifi, b.radius_type FROM %s AS a LEFT JOIN %s AS b WHERE (a.geofence_id = b.geofence_id) AND (b.geofence_id IN (%s) AND  (b.valid_date + b.duration_millis) >= %d) AND (b.next_exit_active_time < %d)", com.baidu.location.a.b.a, com.baidu.location.a.a.f32goto, join, Long.valueOf(currentTimeMillis), Long.valueOf(currentTimeMillis)), null);
                if (cursor != null) {
                    try {
                        if (cursor.getCount() > 0) {
                            ArrayList arrayList2 = new ArrayList();
                            arrayList2.clear();
                            cursor.moveToFirst();
                            int columnIndex = cursor.getColumnIndex("geofence_id");
                            int columnIndex2 = cursor.getColumnIndex(com.baidu.location.a.a.f28char);
                            int columnIndex3 = cursor.getColumnIndex(com.baidu.location.a.a.f34int);
                            int columnIndex4 = cursor.getColumnIndex(com.baidu.location.a.a.f30else);
                            int columnIndex5 = cursor.getColumnIndex(com.baidu.location.a.a.f36new);
                            int columnIndex6 = cursor.getColumnIndex(com.baidu.location.a.a.b);
                            int columnIndex7 = cursor.getColumnIndex(com.baidu.location.a.a.f27case);
                            int columnIndex8 = cursor.getColumnIndex(com.baidu.location.a.a.f38void);
                            int columnIndex9 = cursor.getColumnIndex(com.baidu.location.a.a.f35long);
                            int columnIndex10 = cursor.getColumnIndex(com.baidu.location.a.a.f26byte);
                            do {
                                String string = cursor.getString(columnIndex);
                                float floatValue = Float.valueOf(cursor.getString(columnIndex2)).floatValue();
                                float floatValue2 = Float.valueOf(cursor.getString(columnIndex3)).floatValue();
                                float floatValue3 = Float.valueOf(cursor.getString(columnIndex4)).floatValue();
                                String string2 = cursor.getString(columnIndex5);
                                long j = cursor.getLong(columnIndex6);
                                boolean z2 = cursor.getInt(columnIndex7) != 0;
                                boolean z3 = cursor.getInt(columnIndex8) != 0;
                                boolean z4 = cursor.getInt(columnIndex9) != 0;
                                au auVar = new au(string, (double) floatValue, (double) floatValue2, cursor.getInt(columnIndex10), j, string2);
                                if (auVar != null) {
                                    auVar.a(floatValue3);
                                    auVar.m208do(z2);
                                    auVar.a(z3);
                                    auVar.m212if(z4);
                                    if (!this.li) {
                                        auVar.a(z ? 1 : 0);
                                    }
                                }
                                arrayList2.add(auVar);
                            } while (cursor.moveToNext());
                            arrayList = arrayList2;
                        }
                    } catch (Exception e) {
                        cursor2 = cursor;
                        if (cursor2 != null) {
                        }
                        readableDatabase.close();
                        return arrayList;
                    } catch (Throwable th) {
                    }
                }
                if (cursor != null) {
                    cursor.close();
                }
            } catch (Exception e2) {
                if (cursor2 != null) {
                    cursor2.close();
                }
                readableDatabase.close();
                return arrayList;
            } catch (Throwable th2) {
                Throwable th3 = th2;
                cursor = null;
                if (cursor != null) {
                    cursor.close();
                }
                throw th3;
            }
            readableDatabase.close();
        }
        return arrayList;
    }

    /* renamed from: if  reason: not valid java name */
    public void m103if(Context context, int i) {
        Intent intent = new Intent(lp);
        PendingIntent broadcast = PendingIntent.getBroadcast(context, 0, intent, 134217728);
        if (i <= 0) {
            i.a(context, broadcast);
            context.sendBroadcast(intent);
            return;
        }
        i.a(context, broadcast, i);
    }

    /* renamed from: if  reason: not valid java name */
    public void m104if(Context context, Message message) {
        if (!this.ld) {
            this.lv = message.replyTo;
            this.ld = true;
            this.ln = new c();
            context.registerReceiver(this.ln, new IntentFilter(lp));
            m103if(context, 0);
        }
    }

    /* renamed from: new  reason: not valid java name */
    public void m105new(Context context) {
        m104if(context, (Message) null);
    }

    /* renamed from: try  reason: not valid java name */
    public void m106try(Context context) {
        this.ld = false;
        i.a(context, PendingIntent.getBroadcast(context, 0, new Intent(lp), 134217728));
        dg();
        if (this.ln != null) {
            try {
                context.unregisterReceiver(this.ln);
            } catch (Exception e) {
            }
        }
    }
}
