package com.baidu.mapapi.map;

import android.graphics.Point;
import android.graphics.PointF;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapapi.model.a;
import com.baidu.platform.comapi.a.b;
import com.baidu.platform.comapi.map.f;
import com.baidu.platform.comapi.map.z;

public final class Projection {
    private f a;

    Projection(f fVar) {
        this.a = fVar;
    }

    public LatLng fromScreenLocation(Point point) {
        if (point != null) {
            return a.a(this.a.a(point.x, point.y));
        }
        return null;
    }

    public float metersToEquatorPixels(float f) {
        if (f <= 0.0f) {
            return 0.0f;
        }
        return (float) (((double) f) / this.a.r());
    }

    public PointF toOpenGLLocation(LatLng latLng, MapStatus mapStatus) {
        if (latLng == null || mapStatus == null) {
            return null;
        }
        b a2 = a.a(latLng);
        z zVar = mapStatus.a;
        return new PointF((float) ((a2.b() - zVar.d) / zVar.n), (float) ((a2.a() - zVar.e) / zVar.n));
    }

    public Point toScreenLocation(LatLng latLng) {
        if (latLng == null) {
            return null;
        }
        return this.a.a(a.a(latLng));
    }
}
