package com.baidu.mapapi.map;

import android.graphics.Bitmap;
import android.graphics.Point;
import android.view.MotionEvent;
import com.baidu.mapapi.map.BaiduMap;
import com.baidu.mapapi.map.InfoWindow;
import com.baidu.mapapi.model.a;
import com.baidu.platform.comapi.map.h;
import com.baidu.platform.comapi.map.z;
import java.util.Iterator;
import javax.microedition.khronos.opengles.GL10;
import org.json.JSONException;
import org.json.JSONObject;

/* access modifiers changed from: package-private */
public class b implements h {
    final /* synthetic */ BaiduMap a;

    b(BaiduMap baiduMap) {
        this.a = baiduMap;
    }

    @Override // com.baidu.platform.comapi.map.h
    public void a() {
    }

    @Override // com.baidu.platform.comapi.map.h
    public void a(Bitmap bitmap) {
        if (this.a.s != null) {
            this.a.s.onSnapshotReady(bitmap);
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void a(MotionEvent motionEvent) {
        if (this.a.j != null) {
            this.a.j.onTouch(motionEvent);
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void a(com.baidu.platform.comapi.a.b bVar) {
        if (this.a.k != null) {
            this.a.k.onMapClick(a.a(bVar));
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void a(z zVar) {
        if (this.a.y != null) {
            this.a.y.setVisibility(4);
        }
        if (this.a.i != null) {
            this.a.i.onMapStatusChangeStart(MapStatus.a(zVar));
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void a(String str) {
        try {
            JSONObject optJSONObject = new JSONObject(str).optJSONArray("dataset").optJSONObject(0);
            int optInt = optJSONObject.optInt("ty");
            if (optInt == 17) {
                if (this.a.k != null) {
                    MapPoi mapPoi = new MapPoi();
                    mapPoi.a(optJSONObject);
                    this.a.k.onMapPoiClick(mapPoi);
                }
            } else if (optInt == 18) {
                if (this.a.r != null) {
                    this.a.r.onMyLocationClick();
                }
            } else if (optInt == 19) {
                z p = this.a.e.p();
                p.c = 0;
                p.b = 0;
                this.a.e.a(p, 300);
            } else if (optInt == 90909) {
                String optString = optJSONObject.optString("marker_id");
                if (this.a.w == null || !optString.equals(this.a.x.n)) {
                    for (Overlay overlay : this.a.f) {
                        if ((overlay instanceof Marker) && overlay.n.equals(optString) && this.a.o != null) {
                            Iterator it = this.a.o.iterator();
                            while (it.hasNext()) {
                                ((BaiduMap.OnMarkerClickListener) it.next()).onMarkerClick((Marker) overlay);
                            }
                            return;
                        }
                    }
                    return;
                }
                InfoWindow.OnInfoWindowClickListener onInfoWindowClickListener = this.a.w.d;
                if (onInfoWindowClickListener != null) {
                    onInfoWindowClickListener.onInfoWindowClick();
                }
            } else if (optInt == 90910) {
                String optString2 = optJSONObject.optString("polyline_id");
                for (Overlay overlay2 : this.a.f) {
                    if ((overlay2 instanceof Polyline) && overlay2.n.equals(optString2) && this.a.p != null) {
                        Iterator it2 = this.a.p.iterator();
                        while (it2.hasNext()) {
                            ((BaiduMap.OnPolylineClickListener) it2.next()).onPolylineClick((Polyline) overlay2);
                        }
                    }
                }
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void a(GL10 gl10, z zVar) {
        if (this.a.t != null) {
            this.a.t.onMapDrawFrame(gl10, MapStatus.a(zVar));
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void b() {
        this.a.c = new Projection(this.a.e);
        this.a.C = true;
        if (this.a.l != null) {
            this.a.l.onMapLoaded();
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void b(com.baidu.platform.comapi.a.b bVar) {
        if (this.a.m != null) {
            this.a.m.onMapDoubleClick(a.a(bVar));
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void b(z zVar) {
        if (this.a.i != null) {
            this.a.i.onMapStatusChange(MapStatus.a(zVar));
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public boolean b(String str) {
        try {
            JSONObject optJSONObject = new JSONObject(str).optJSONArray("dataset").optJSONObject(0);
            if (optJSONObject.optInt("ty") == 90909) {
                String optString = optJSONObject.optString("marker_id");
                if (this.a.x == null || !optString.equals(this.a.x.n)) {
                    Iterator it = this.a.f.iterator();
                    while (true) {
                        if (!it.hasNext()) {
                            break;
                        }
                        Overlay overlay = (Overlay) it.next();
                        if ((overlay instanceof Marker) && overlay.n.equals(optString)) {
                            Marker marker = (Marker) overlay;
                            if (marker.f) {
                                this.a.z = marker;
                                Point screenLocation = this.a.c.toScreenLocation(this.a.z.a);
                                this.a.z.setPosition(this.a.c.fromScreenLocation(new Point(screenLocation.x, screenLocation.y - 60)));
                                if (this.a.q != null) {
                                    this.a.q.onMarkerDragStart(this.a.z);
                                }
                                return true;
                            }
                        }
                    }
                }
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }
        return false;
    }

    @Override // com.baidu.platform.comapi.map.h
    public void c() {
        this.a.v.lock();
        try {
            if (this.a.f167u != null) {
                this.a.f167u.a();
            }
        } finally {
            this.a.v.unlock();
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void c(com.baidu.platform.comapi.a.b bVar) {
        if (this.a.n != null) {
            this.a.n.onMapLongClick(a.a(bVar));
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void c(z zVar) {
        if (this.a.y != null) {
            this.a.y.setVisibility(0);
        }
        if (this.a.i != null) {
            this.a.i.onMapStatusChangeFinish(MapStatus.a(zVar));
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void d() {
        this.a.v.lock();
        try {
            if (this.a.f167u != null) {
                this.a.f167u.a();
                this.a.e.t();
            }
        } finally {
            this.a.v.unlock();
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void d(com.baidu.platform.comapi.a.b bVar) {
        if (this.a.z != null && this.a.z.f) {
            Point screenLocation = this.a.c.toScreenLocation(a.a(bVar));
            this.a.z.setPosition(this.a.c.fromScreenLocation(new Point(screenLocation.x, screenLocation.y - 60)));
            if (this.a.q != null && this.a.z.f) {
                this.a.q.onMarkerDrag(this.a.z);
            }
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void e() {
        this.a.e.a(false);
        this.a.v.lock();
        try {
            if (this.a.f167u != null) {
                this.a.a(this.a.f167u);
            }
        } finally {
            this.a.v.unlock();
        }
    }

    @Override // com.baidu.platform.comapi.map.h
    public void e(com.baidu.platform.comapi.a.b bVar) {
        if (this.a.z != null && this.a.z.f) {
            Point screenLocation = this.a.c.toScreenLocation(a.a(bVar));
            this.a.z.setPosition(this.a.c.fromScreenLocation(new Point(screenLocation.x, screenLocation.y - 60)));
            if (this.a.q != null && this.a.z.f) {
                this.a.q.onMarkerDragEnd(this.a.z);
            }
            this.a.z = null;
        }
    }
}
