package com.baidu.mapapi.search.geocode;

import com.baidu.mapapi.model.LatLng;
import com.baidu.mapapi.search.core.PoiInfo;
import com.baidu.mapapi.search.core.SearchResult;
import java.util.List;

public class ReverseGeoCodeResult extends SearchResult {
    private String a;
    private String b;
    private AddressComponent c;
    private LatLng d;
    private List<PoiInfo> e;

    public static class AddressComponent {
        public String city;
        public String district;
        public String province;
        public String street;
        public String streetNumber;
    }

    ReverseGeoCodeResult() {
    }

    ReverseGeoCodeResult(SearchResult.ERRORNO errorno) {
        super(errorno);
    }

    /* access modifiers changed from: package-private */
    public void a(LatLng latLng) {
        this.d = latLng;
    }

    /* access modifiers changed from: package-private */
    public void a(AddressComponent addressComponent) {
        this.c = addressComponent;
    }

    /* access modifiers changed from: package-private */
    public void a(String str) {
        this.a = str;
    }

    /* access modifiers changed from: package-private */
    public void a(List<PoiInfo> list) {
        this.e = list;
    }

    /* access modifiers changed from: package-private */
    public void b(String str) {
        this.b = str;
    }

    public String getAddress() {
        return this.b;
    }

    public AddressComponent getAddressDetail() {
        return this.c;
    }

    public String getBusinessCircle() {
        return this.a;
    }

    public LatLng getLocation() {
        return this.d;
    }

    public List<PoiInfo> getPoiList() {
        return this.e;
    }
}
