package com.baidu.mapapi.search.route;

import com.baidu.mapapi.model.LatLng;
import com.baidu.mapapi.search.core.RouteLine;
import com.baidu.mapapi.search.core.RouteNode;
import com.baidu.mapapi.search.core.RouteStep;
import java.util.List;

public class DrivingRouteLine extends RouteLine<DrivingStep> {
    private boolean a;
    private List<RouteNode> b;

    public static class DrivingStep extends RouteStep {
        List<LatLng> c;
        int[] d;
        private int e;
        private RouteNode f;
        private RouteNode g;
        private String h;
        private String i;
        private String j;
        private int k;

        /* access modifiers changed from: package-private */
        public void a(int i2) {
            this.e = i2;
        }

        /* access modifiers changed from: package-private */
        public void a(RouteNode routeNode) {
            this.f = routeNode;
        }

        /* access modifiers changed from: package-private */
        public void a(String str) {
            this.h = str;
        }

        /* access modifiers changed from: package-private */
        public void a(List<LatLng> list) {
            this.c = list;
        }

        /* access modifiers changed from: package-private */
        public void a(int[] iArr) {
            this.d = iArr;
        }

        /* access modifiers changed from: package-private */
        public void b(int i2) {
            this.k = i2;
        }

        /* access modifiers changed from: package-private */
        public void b(RouteNode routeNode) {
            this.g = routeNode;
        }

        /* access modifiers changed from: package-private */
        public void b(String str) {
            this.i = str;
        }

        /* access modifiers changed from: package-private */
        public void c(String str) {
            this.j = str;
        }

        public int getDirection() {
            return this.e;
        }

        public RouteNode getEntrance() {
            return this.f;
        }

        public String getEntranceInstructions() {
            return this.h;
        }

        public RouteNode getExit() {
            return this.g;
        }

        public String getExitInstructions() {
            return this.i;
        }

        public String getInstructions() {
            return this.j;
        }

        public int getNumTurns() {
            return this.k;
        }

        public int[] getTrafficList() {
            return this.d;
        }

        @Override // com.baidu.mapapi.search.core.RouteStep
        public List<LatLng> getWayPoints() {
            return this.c;
        }
    }

    DrivingRouteLine() {
    }

    /* access modifiers changed from: package-private */
    public void a(List<RouteNode> list) {
        this.b = list;
    }

    public List<RouteNode> getWayPoints() {
        return this.b;
    }

    @Deprecated
    public boolean isSupportTraffic() {
        return this.a;
    }
}
