package com.baidu.mapapi.search.route;

import com.baidu.mapapi.model.LatLng;

public class PlanNode {
    private LatLng a = null;
    private String b = null;
    private String c = null;

    PlanNode(LatLng latLng, String str, String str2) {
        this.a = latLng;
        this.b = str;
        this.c = str2;
    }

    public static PlanNode withCityNameAndPlaceName(String str, String str2) {
        return new PlanNode(null, str, str2);
    }

    public static PlanNode withLocation(LatLng latLng) {
        return new PlanNode(latLng, null, null);
    }

    /* access modifiers changed from: package-private */
    public LatLng a() {
        return this.a;
    }

    /* access modifiers changed from: package-private */
    public String b() {
        return this.b;
    }

    /* access modifiers changed from: package-private */
    public String c() {
        return this.c;
    }
}
