package com.baidu.mapapi.search.route;

import com.baidu.mapapi.model.LatLng;
import com.baidu.mapapi.model.a;
import com.baidu.mapapi.search.core.RouteLine;
import com.baidu.mapapi.search.core.RouteNode;
import com.baidu.mapapi.search.core.RouteStep;
import java.util.List;

public class WalkingRouteLine extends RouteLine<WalkingStep> {

    public static class WalkingStep extends RouteStep {
        private int c;
        private RouteNode d;
        private RouteNode e;
        private String f;
        private String g;
        private String h;
        private String i;

        /* access modifiers changed from: package-private */
        public void a(int i2) {
            this.c = i2;
        }

        /* access modifiers changed from: package-private */
        public void a(RouteNode routeNode) {
            this.d = routeNode;
        }

        /* access modifiers changed from: package-private */
        public void a(String str) {
            this.f = str;
        }

        /* access modifiers changed from: package-private */
        public void b(RouteNode routeNode) {
            this.e = routeNode;
        }

        /* access modifiers changed from: package-private */
        public void b(String str) {
            this.g = str;
        }

        /* access modifiers changed from: package-private */
        public void c(String str) {
            this.h = str;
        }

        /* access modifiers changed from: package-private */
        public void d(String str) {
            this.i = str;
        }

        public int getDirection() {
            return this.c;
        }

        public String getEntraceInstructions() {
            return this.g;
        }

        public RouteNode getEntrance() {
            return this.d;
        }

        public RouteNode getExit() {
            return this.e;
        }

        public String getExitInstructions() {
            return this.h;
        }

        public String getInstructions() {
            return this.i;
        }

        @Override // com.baidu.mapapi.search.core.RouteStep
        public List<LatLng> getWayPoints() {
            if (this.mWayPoints == null) {
                this.mWayPoints = a.c(this.f);
            }
            return this.mWayPoints;
        }
    }

    WalkingRouteLine() {
    }

    @Override // com.baidu.mapapi.search.core.RouteLine
    public List<WalkingStep> getAllStep() {
        return super.getAllStep();
    }
}
