package u.aly;

import android.content.Context;
import android.text.TextUtils;
import com.umeng.analytics.b;
import com.umeng.analytics.h;
import java.io.File;
import java.io.FileInputStream;
import java.nio.ByteBuffer;
import java.util.Locale;
import java.util.Map;
import java.util.TreeMap;

/* compiled from: ImprintHandler */
public class f {
    private static final String a = ".imprint";
    private static final byte[] b = "pbl0".getBytes();
    private static f e;
    private w c;
    private ba d = null;
    private Context f;

    f(Context context) {
        this.f = context;
    }

    public static synchronized f a(Context context) {
        f fVar;
        synchronized (f.class) {
            if (e == null) {
                e = new f(context);
                e.b();
            }
            fVar = e;
        }
        return fVar;
    }

    public void a(w wVar) {
        this.c = wVar;
    }

    public String a(ba baVar) {
        StringBuilder sb = new StringBuilder();
        for (Map.Entry entry : new TreeMap(baVar.d()).entrySet()) {
            sb.append((String) entry.getKey());
            sb.append(((bb) entry.getValue()).c());
            sb.append(((bb) entry.getValue()).f());
            sb.append(((bb) entry.getValue()).j());
        }
        sb.append(baVar.b);
        return cd.a(sb.toString()).toLowerCase(Locale.US);
    }

    private boolean c(ba baVar) {
        if (!baVar.k().equals(a(baVar))) {
            return false;
        }
        for (bb bbVar : baVar.d().values()) {
            byte[] a2 = b.a(bbVar.j());
            byte[] a3 = a(bbVar);
            int i = 0;
            while (true) {
                if (i < 4) {
                    if (a2[i] != a3[i]) {
                        return false;
                    }
                    i++;
                }
            }
        }
        return true;
    }

    public byte[] a(bb bbVar) {
        ByteBuffer allocate = ByteBuffer.allocate(8);
        allocate.order(null);
        allocate.putLong(bbVar.f());
        byte[] array = allocate.array();
        byte[] bArr = b;
        byte[] bArr2 = new byte[4];
        for (int i = 0; i < 4; i++) {
            bArr2[i] = (byte) (array[i] ^ bArr[i]);
        }
        return bArr2;
    }

    public void b(ba baVar) {
        if (baVar != null && c(baVar)) {
            synchronized (this) {
                ba baVar2 = this.d;
                if (baVar2 != null) {
                    baVar = a(baVar2, baVar);
                }
                this.d = baVar;
            }
            if (this.d != null) {
                e();
            }
        }
    }

    private ba a(ba baVar, ba baVar2) {
        if (baVar2 != null) {
            Map<String, bb> d2 = baVar.d();
            for (Map.Entry<String, bb> entry : baVar2.d().entrySet()) {
                if (entry.getValue().e()) {
                    d2.put(entry.getKey(), entry.getValue());
                } else {
                    d2.remove(entry.getKey());
                }
            }
            baVar.a(baVar2.h());
            baVar.a(a(baVar));
        }
        return baVar;
    }

    private void e() {
        if (this.c != null) {
            int a2 = a("defcon");
            if (a2 != -1) {
                this.c.a(a2);
                h.a(this.f).a(a2);
            }
            int a3 = a("latent");
            if (a3 != -1) {
                int i = a3 * 1000;
                this.c.b(i);
                h.a(this.f).b(i);
            }
            int a4 = a("codex");
            if (a4 == 0 || a4 == 1 || a4 == -1) {
                this.c.c(a4);
                h.a(this.f).c(a4);
            }
        }
    }

    private int a(String str) {
        ba baVar = this.d;
        if (baVar == null || !baVar.f()) {
            return -1;
        }
        bb bbVar = baVar.d().get(str);
        if (bbVar == null || TextUtils.isEmpty(bbVar.c())) {
            return -1;
        }
        try {
            return Integer.parseInt(bbVar.c().trim());
        } catch (Exception e2) {
            return -1;
        }
    }

    public synchronized ba a() {
        return this.d;
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0026 A[SYNTHETIC, Splitter:B:8:0x0026] */
    public void b() {
        Throwable th;
        FileInputStream fileInputStream;
        Exception e2;
        FileInputStream fileInputStream2 = null;
        byte[] bArr = null;
        if (new File(this.f.getFilesDir(), a).exists()) {
            try {
                fileInputStream = this.f.openFileInput(a);
                try {
                    bArr = cd.b(fileInputStream);
                    cd.c(fileInputStream);
                } catch (Exception e3) {
                    e2 = e3;
                    try {
                        e2.printStackTrace();
                        cd.c(fileInputStream);
                        if (bArr != null) {
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        fileInputStream2 = fileInputStream;
                        cd.c(fileInputStream2);
                        throw th;
                    }
                }
            } catch (Exception e4) {
                e2 = e4;
                fileInputStream = null;
                e2.printStackTrace();
                cd.c(fileInputStream);
                if (bArr != null) {
                }
            } catch (Throwable th3) {
                th = th3;
                cd.c(fileInputStream2);
                throw th;
            }
            if (bArr != null) {
                try {
                    ba baVar = new ba();
                    new ck().a(baVar, bArr);
                    this.d = baVar;
                } catch (Exception e5) {
                    e5.printStackTrace();
                }
            }
        }
    }

    public void c() {
        if (this.d != null) {
            try {
                cd.a(new File(this.f.getFilesDir(), a), new cq().a(this.d));
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public boolean d() {
        return new File(this.f.getFilesDir(), a).delete();
    }
}
