package cn.beekee.zhongtong.JPush;

import android.content.Context;
import cn.beekee.zhongtong.util.DeviceUtil;
import cn.beekee.zhongtong.util.MySharePreference;
import cn.jpush.android.api.JPushInterface;
import cn.jpush.android.api.TagAliasCallback;
import java.util.Set;

public class JUtil {
    public static void setJAlias(Context context) {
        if (!MySharePreference.hasJAlias(context)) {
            set(context, DeviceUtil.getUniqueId(context));
        }
    }

    private static void set(final Context context, String uniqueId) {
        JPushInterface.setAlias(context, uniqueId, new TagAliasCallback() {
            /* class cn.beekee.zhongtong.JPush.JUtil.AnonymousClass1 */

            @Override // cn.jpush.android.api.TagAliasCallback
            public void gotResult(int i, String s, Set<String> set) {
                if (i == 0) {
                    MySharePreference.setJAlias(context, true);
                } else {
                    MySharePreference.setJAlias(context, false);
                }
            }
        });
    }
}
