package cn.beekee.zhongtong.bean;

import cn.beekee.zhongtong.util.net.JsonOperate;
import java.io.Serializable;
import org.json.JSONException;
import org.json.JSONObject;

public class LoginBean extends ResultBean implements Serializable {
    private String openId;
    private String userId;
    private String userName;

    public LoginBean(String loginJsonString) {
        if (loginJsonString != null) {
            try {
                JSONObject object = new JSONObject(loginJsonString);
                setResult(object.getBoolean("Result"));
                setMessage(object.getString("Message"));
                if (isResult()) {
                    this.openId = object.getString(JsonOperate.LOGIN_OPEN_ID);
                    this.userName = object.getString("UserName");
                    this.userId = object.getString("UserId");
                }
                setParseResult(true);
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }
    }

    public String getOpenId() {
        return this.openId;
    }

    public String getUserName() {
        return this.userName;
    }

    public String getUserId() {
        return this.userId;
    }
}
