package cn.beekee.zhongtong.database;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class DatabaseCreate extends SQLiteOpenHelper {
    public static final Object LOCK = new Object();
    private static String NAME = "haha";
    private static int VERSION = 1;

    public DatabaseCreate(Context context) {
        super(context, NAME, (SQLiteDatabase.CursorFactory) null, VERSION);
    }

    public void onCreate(SQLiteDatabase db) {
        db.execSQL("create table address(_id integer primary key autoincrement, type_key text,value_key text);");
        db.execSQL("create table range_search_history(_id integer primary key autoincrement,address text,code text,date text);");
        db.execSQL("create table waybill_history(_id integer primary key autoincrement,waybill text,date text);");
        db.execSQL("create table site_info(_id integer primary key autoincrement,site_id text,site_manager text,site_name text,site_phone text,site_status text,site_province text,site_city text,site_district text,site_parent text,site_fax text,site_dispatch text,site_dispatch_not text,site_address text,site_longitude text,site_latitude text,date text);");
        db.execSQL("create table register_billCode(_id integer primary key autoincrement,server_id text,waybill text,waybill_content text,date text);");
    }

    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
    }
}
