package cn.beekee.zhongtong.fragment.main;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.util.DialogPhoneHelper;
import cn.beekee.zhongtong.util.StaticParam;

public class ActivityServerConnect extends ActivityBase implements View.OnClickListener {
    DialogPhoneHelper mPhoneHelper = new DialogPhoneHelper();

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_serverconnect);
        findViewById(R.id.back).setOnClickListener(this);
        ((TextView) findViewById(R.id.title)).setText("联系客服");
        findViewById(R.id.phone_call).setOnClickListener(this);
        findViewById(R.id.weixin).setOnClickListener(this);
        findViewById(R.id.wangwang).setOnClickListener(this);
        findViewById(R.id.qq).setOnClickListener(this);
        this.mPhoneHelper.initDialog(this, "4008-270-270");
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.phone_call:
                this.mPhoneHelper.showDialog();
                return;
            case R.id.wangwang:
                Toast.makeText(this, StaticParam.NOT_OK, 0).show();
                return;
            case R.id.weixin:
                Toast.makeText(this, StaticParam.NOT_OK, 0).show();
                return;
            case R.id.qq:
                Toast.makeText(this, StaticParam.NOT_OK, 0).show();
                return;
            case R.id.back:
                finish();
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        super.onDestroy();
        this.mPhoneHelper.dismissDialog();
    }
}
