package cn.beekee.zhongtong.fragment.main;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ActivityZTOApproach extends ActivityBase implements AdapterView.OnItemClickListener {
    private static final String FLAG_KEY = "a";
    private static final String TEXT_KEY = "b";

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_zto_approach);
        findViewById(R.id.back).setOnClickListener(new View.OnClickListener() {
            /* class cn.beekee.zhongtong.fragment.main.ActivityZTOApproach.AnonymousClass1 */

            public void onClick(View v) {
                ActivityZTOApproach.this.finish();
            }
        });
        ((TextView) findViewById(R.id.title)).setText("走进中通");
        ListView listView = (ListView) findViewById(R.id.list);
        listView.setAdapter((ListAdapter) new SimpleAdapter(this, initData(), R.layout.item, new String[]{FLAG_KEY, TEXT_KEY}, new int[]{R.id.flag, R.id.text}));
        listView.setOnItemClickListener(this);
    }

    private List<Map<String, Object>> initData() {
        List<Map<String, Object>> list = new ArrayList<>();
        Map<String, Object> map1 = new HashMap<>();
        map1.put(FLAG_KEY, Integer.valueOf((int) R.drawable.zto_intro));
        map1.put(TEXT_KEY, "中通简介");
        list.add(map1);
        Map<String, Object> map2 = new HashMap<>();
        map2.put(FLAG_KEY, Integer.valueOf((int) R.drawable.zto_product));
        map2.put(TEXT_KEY, "产品介绍");
        list.add(map2);
        Map<String, Object> map3 = new HashMap<>();
        map3.put(FLAG_KEY, Integer.valueOf((int) R.drawable.zto_develop));
        map3.put(TEXT_KEY, "网络发展");
        list.add(map3);
        Map<String, Object> map4 = new HashMap<>();
        map4.put(FLAG_KEY, Integer.valueOf((int) R.drawable.zto_news));
        map4.put(TEXT_KEY, "中通新闻");
        list.add(map4);
        Map<String, Object> map5 = new HashMap<>();
        map5.put(FLAG_KEY, Integer.valueOf((int) R.drawable.zto_call_me));
        map5.put(TEXT_KEY, "联系我们");
        list.add(map5);
        return list;
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
        switch (position) {
            case 0:
                startActivity(new Intent(this, ActivityZTOAbout.class));
                return;
            case 1:
                startActivity(new Intent(this, ActivityZTOProduct.class));
                return;
            case 2:
                startActivity(new Intent(this, ActivityZTODevelop.class));
                return;
            case 3:
                startActivity(new Intent(this, ActivityZTONews.class));
                return;
            case 4:
                startActivity(new Intent(this, ActivityZTOConnect.class));
                return;
            default:
                return;
        }
    }
}
