package cn.beekee.zhongtong.fragment.main;

import android.os.Bundle;
import android.view.View;
import android.view.animation.AlphaAnimation;
import android.view.animation.AnimationSet;
import android.view.animation.RotateAnimation;
import android.view.animation.ScaleAnimation;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;

public class ActivityZTODevelop extends ActivityBase {
    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_develop);
        findViewById(R.id.back).setOnClickListener(new View.OnClickListener() {
            /* class cn.beekee.zhongtong.fragment.main.ActivityZTODevelop.AnonymousClass1 */

            public void onClick(View v) {
                ActivityZTODevelop.this.finish();
            }
        });
        ((TextView) findViewById(R.id.title)).setText("中通发展");
        findViewById(R.id.one).startAnimation(createStandOut());
        findViewById(R.id.two).startAnimation(createRotateSelf());
        findViewById(R.id.around).startAnimation(createRotateSelf2());
    }

    private RotateAnimation createRotateSelf() {
        RotateAnimation rotateAnimation = new RotateAnimation(0.0f, 360.0f, 1, 0.5f, 1, 0.5f);
        rotateAnimation.setRepeatCount(-1);
        rotateAnimation.setDuration(10000);
        return rotateAnimation;
    }

    private RotateAnimation createRotateSelf2() {
        RotateAnimation rotateAnimation = new RotateAnimation(0.0f, -360.0f, 1, 0.5f, 1, 0.5f);
        rotateAnimation.setRepeatCount(-1);
        rotateAnimation.setRepeatMode(2);
        rotateAnimation.setDuration(7000);
        return rotateAnimation;
    }

    private AnimationSet createStandOut() {
        ScaleAnimation scaleAnimation = new ScaleAnimation(1.0f, 0.7f, 1.0f, 0.7f, 1, 0.5f, 1, 0.5f);
        scaleAnimation.setRepeatCount(-1);
        scaleAnimation.setRepeatMode(2);
        scaleAnimation.setDuration(5000);
        AlphaAnimation alphaAnimation = new AlphaAnimation(1.0f, 0.4f);
        alphaAnimation.setRepeatCount(-1);
        alphaAnimation.setRepeatMode(2);
        alphaAnimation.setDuration(5000);
        AnimationSet set = new AnimationSet(true);
        set.addAnimation(scaleAnimation);
        set.addAnimation(alphaAnimation);
        return set;
    }
}
