package cn.beekee.zhongtong.fragment.main;

import android.app.Fragment;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import cn.beekee.zhongtong.ActivityBase;
import cn.beekee.zhongtong.R;
import cn.beekee.zhongtong.fragment.FragmentWeb;
import cn.beekee.zhongtong.fragment.main.ActivityZTOProduct;

public class ActivityZTOProductInfo extends ActivityBase {
    public static final String PRODUCT_KEY = "product_key";
    ActivityZTOProduct.Product mProduct;

    /* access modifiers changed from: protected */
    @Override // cn.beekee.zhongtong.ActivityBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_product_info);
        this.mProduct = (ActivityZTOProduct.Product) getIntent().getSerializableExtra(PRODUCT_KEY);
        findViewById(R.id.back).setOnClickListener(new View.OnClickListener() {
            /* class cn.beekee.zhongtong.fragment.main.ActivityZTOProductInfo.AnonymousClass1 */

            public void onClick(View v) {
                ActivityZTOProductInfo.this.finish();
            }
        });
        ((TextView) findViewById(R.id.title)).setText(this.mProduct.getProductName());
        Fragment fragment = new FragmentWeb();
        Bundle bundle = new Bundle();
        bundle.putString(FragmentWeb.URL, this.mProduct.getProductUrl());
        fragment.setArguments(bundle);
        getFragmentManager().beginTransaction().add(R.id.frame_product, fragment).commit();
    }
}
