package cn.beekee.zhongtong.util;

import android.content.Context;
import java.io.IOException;
import java.io.InputStream;

public class LoadRawText {
    public static String loadString(Context context, int rawId) {
        InputStream inputStream = context.getResources().openRawResource(rawId);
        if (inputStream == null) {
            return "";
        }
        try {
            byte[] bytes = new byte[inputStream.available()];
            inputStream.read(bytes);
            String str = new String(bytes, "utf-8");
            try {
                inputStream.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
            return str;
        } catch (IOException e2) {
            e2.printStackTrace();
            try {
                inputStream.close();
            } catch (IOException e3) {
                e3.printStackTrace();
            }
            return "";
        } catch (Throwable th) {
            try {
                inputStream.close();
            } catch (IOException e4) {
                e4.printStackTrace();
            }
            throw th;
        }
    }
}
