package cn.beekee.zhongtong.util;

import java.util.ArrayList;
import java.util.List;

public class SitesCity {
    private String mCity;
    private String mCityPinyin;
    private List<String> mList = new ArrayList();

    public void setName(String cityName) {
        this.mCity = cityName;
    }

    public String getName() {
        return this.mCity;
    }

    public void setPinyin(String pinyin) {
        this.mCityPinyin = pinyin;
    }

    public String getLetter() {
        if (this.mCityPinyin == null || this.mCityPinyin.length() < 1) {
            return null;
        }
        return String.valueOf(this.mCityPinyin.charAt(0));
    }

    public List<String> getSite() {
        return this.mList;
    }

    public void addSite(String siteName) {
        this.mList.add(siteName);
    }

    public boolean removeSite(String siteName) {
        return this.mList.remove(siteName);
    }
}
