package cn.beekee.zhongtong.util.net;

import android.os.Handler;
import android.os.Message;

public class TimerThreadHandler extends Thread implements Runnable {
    public static final int OVER = 1;
    public static final int START = 2;
    private static final int TIME = 30;
    public static final int UPDATE = 0;
    private int flag;
    private Handler mHandler;

    public static void startTimer(Handler handler, int flag2) {
        new TimerThreadHandler(handler, flag2).start();
    }

    public static void startTimer(Handler handler) {
        startTimer(handler, 0);
    }

    private TimerThreadHandler(Handler handler, int flag2) {
        this.mHandler = handler;
        this.flag = flag2;
    }

    public void run() {
        Message message = Message.obtain();
        message.what = 2;
        message.arg2 = this.flag;
        this.mHandler.sendMessage(message);
        int time = 30;
        while (time > 0) {
            Message message2 = Message.obtain();
            message2.what = 0;
            message2.arg2 = this.flag;
            int time2 = time - 1;
            message2.arg1 = time;
            this.mHandler.sendMessage(message2);
            try {
                Thread.sleep(1000);
                time = time2;
            } catch (InterruptedException e) {
                e.printStackTrace();
                time = time2;
            }
        }
        Message message3 = Message.obtain();
        message3.what = 1;
        message3.arg2 = this.flag;
        this.mHandler.sendMessage(message3);
    }
}
