package com.baidu.location;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.location.Location;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Messenger;
import android.text.TextUtils;
import android.util.Log;
import com.baidu.location.an;
import java.util.ArrayList;
import java.util.Iterator;

public final class LocationClient implements m, a1, an.a {
    private static final int j5 = 5;
    private static final int j6 = 12;
    private static final int j8 = 6;
    private static final int j9 = 2;
    private static final int jD = 10;
    private static final String jF = "baidu_location_Client";
    private static final int jI = 1;
    private static final int jM = 1000;
    private static final int jQ = 3;
    private static final int jT = 8;
    private static final int jW = 9;
    private static final int jY = 7;
    private static final int ki = 11;
    private static final int kl = 4;
    private final Messenger j0 = new Messenger(this.jE);
    private Context j1 = null;
    private Messenger j2 = null;
    private long j3 = 0;
    private LocationClientOption j4 = new LocationClientOption();
    private Boolean j7 = true;
    private boolean jC = false;
    private a jE = new a();
    private final Object jG = new Object();
    private BDErrorReport jH = null;
    private b jJ = null;
    private Boolean jK = false;
    private ab jL = null;
    private long jN = 0;
    private Boolean jO = false;
    private boolean jP = false;
    private boolean jR = true;
    private long jS = 0;
    private BDLocationListener jU = null;
    private boolean jV = false;
    private boolean jX = false;
    private boolean jZ;
    private boolean ka = false;
    private long kb = 0;
    private long kc = 0;
    private ServiceConnection kd = new ServiceConnection() {
        /* class com.baidu.location.LocationClient.AnonymousClass1 */

        public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            LocationClient.this.j2 = new Messenger(iBinder);
            if (LocationClient.this.j2 != null) {
                LocationClient.this.ka = true;
                Log.d("baidu_location_client", "baidu location connected ...");
                try {
                    Message obtain = Message.obtain((Handler) null, 11);
                    obtain.replyTo = LocationClient.this.j0;
                    obtain.setData(LocationClient.this.cZ());
                    LocationClient.this.j2.send(obtain);
                    LocationClient.this.ka = true;
                    if (LocationClient.this.j4 != null) {
                        if (LocationClient.this.j7.booleanValue()) {
                        }
                        LocationClient.this.jE.obtainMessage(4).sendToTarget();
                    }
                } catch (Exception e) {
                }
            }
        }

        public void onServiceDisconnected(ComponentName componentName) {
            LocationClient.this.j2 = null;
            LocationClient.this.ka = false;
        }
    };
    private String ke;
    private boolean kf = false;
    private boolean kg = false;
    private BDLocation kh = null;
    private String kj = null;
    private String kk = null;
    private an km = null;
    private ArrayList kn = null;

    /* access modifiers changed from: private */
    public class a extends Handler {
        private a() {
        }

        public void handleMessage(Message message) {
            switch (message.what) {
                case 1:
                    LocationClient.this.c0();
                    return;
                case 2:
                    LocationClient.this.c1();
                    return;
                case 3:
                    LocationClient.this.n(message);
                    return;
                case 4:
                    LocationClient.this.o(message);
                    return;
                case 5:
                    LocationClient.this.r(message);
                    return;
                case 6:
                    LocationClient.this.m(message);
                    return;
                case 7:
                    return;
                case 8:
                    LocationClient.this.s(message);
                    return;
                case 9:
                    LocationClient.this.l(message);
                    return;
                case 10:
                    LocationClient.this.q(message);
                    return;
                case 11:
                    LocationClient.this.c2();
                    return;
                case 12:
                    LocationClient.this.c3();
                    return;
                case 21:
                    LocationClient.this.m32if((LocationClient) message, (Message) 21);
                    return;
                case 26:
                    LocationClient.this.m32if((LocationClient) message, (Message) 26);
                    return;
                case 27:
                    LocationClient.this.p(message);
                    return;
                case 54:
                    if (LocationClient.this.j4.f21goto) {
                        LocationClient.this.jC = true;
                        return;
                    }
                    return;
                case 55:
                    if (LocationClient.this.j4.f21goto) {
                        LocationClient.this.jC = false;
                        return;
                    }
                    return;
                case a1.h:
                    LocationClient.this.m24else((LocationClient) false);
                    return;
                case a1.W:
                    LocationClient.this.m24else((LocationClient) true);
                    return;
                case a1.H:
                    LocationClient.this.m15byte((LocationClient) ((BDLocation) message.obj));
                    return;
                default:
                    super.handleMessage(message);
                    return;
            }
        }
    }

    /* access modifiers changed from: private */
    public class b implements Runnable {
        private b() {
        }

        public void run() {
            synchronized (LocationClient.this.jG) {
                LocationClient.this.jX = false;
                if (LocationClient.this.j2 != null && LocationClient.this.j0 != null) {
                    if (LocationClient.this.kn != null && LocationClient.this.kn.size() >= 1) {
                        LocationClient.this.jE.obtainMessage(4).sendToTarget();
                    }
                }
            }
        }
    }

    public LocationClient(Context context) {
        this.j1 = context;
        this.j4 = new LocationClientOption();
        this.jL = new ab(this.j1, this);
    }

    public LocationClient(Context context, LocationClientOption locationClientOption) {
        this.j1 = context;
        this.j4 = locationClientOption;
        if (this.km == null) {
            this.km = new an(this.j1, this.j4, this);
            this.km.da();
        }
        this.jL = new ab(this.j1, this);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: byte  reason: not valid java name */
    private void m15byte(BDLocation bDLocation) {
        Iterator it = this.kn.iterator();
        while (it.hasNext()) {
            ((BDLocationListener) it.next()).onReceiveLocation(bDLocation);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c0() {
        if (!this.ka) {
            c.m273else();
            this.kk = this.j1.getPackageName();
            this.kj = this.kk + "_bdls_v2.9";
            Intent intent = new Intent(this.j1, f.class);
            try {
                intent.putExtra("debug_dev", this.jZ);
            } catch (Exception e) {
            }
            if (this.j4 == null) {
                this.j4 = new LocationClientOption();
            }
            intent.putExtra("cache_exception", this.j4.b);
            intent.putExtra("kill_process", this.j4.f17char);
            try {
                this.j1.bindService(intent, this.kd, 1);
            } catch (Exception e2) {
                e2.printStackTrace();
                this.ka = false;
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c1() {
        if (this.ka && this.j2 != null) {
            Message obtain = Message.obtain((Handler) null, 12);
            obtain.replyTo = this.j0;
            try {
                this.j2.send(obtain);
            } catch (Exception e) {
                e.printStackTrace();
            }
            try {
                this.j1.unbindService(this.kd);
            } catch (Exception e2) {
            }
            synchronized (this.jG) {
                try {
                    if (this.jX) {
                        this.jE.removeCallbacks(this.jJ);
                        this.jX = false;
                    }
                } catch (Exception e3) {
                }
            }
            this.jL.bp();
            this.j2 = null;
            c.m268char();
            this.jP = false;
            this.ka = false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c2() {
        if (this.j2 != null) {
            Message obtain = Message.obtain((Handler) null, 22);
            try {
                obtain.replyTo = this.j0;
                this.j2.send(obtain);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c3() {
        Message obtain = Message.obtain((Handler) null, 28);
        try {
            obtain.replyTo = this.j0;
            this.j2.send(obtain);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private Bundle cY() {
        if (this.j4 == null) {
            return null;
        }
        Bundle bundle = new Bundle();
        bundle.putInt("num", this.j4.f24long);
        bundle.putFloat("distance", this.j4.c);
        bundle.putBoolean("extraInfo", this.j4.e);
        return bundle;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Bundle cZ() {
        if (this.j4 == null) {
            return null;
        }
        Bundle bundle = new Bundle();
        bundle.putString("packName", this.kk);
        bundle.putString("prodName", this.j4.f22if);
        bundle.putString("coorType", this.j4.f18do);
        bundle.putString("addrType", this.j4.f19else);
        bundle.putBoolean("openGPS", this.j4.f20for);
        bundle.putBoolean("location_change_notify", this.j4.f21goto);
        bundle.putInt("scanSpan", this.j4.f23int);
        bundle.putInt("timeOut", this.j4.d);
        bundle.putInt("priority", this.j4.h);
        bundle.putBoolean("map", this.jO.booleanValue());
        bundle.putBoolean("import", this.jK.booleanValue());
        bundle.putBoolean("needDirect", this.j4.g);
        bundle.putLong("starttime", this.jS);
        return bundle;
    }

    private void d(int i) {
        if (this.jV || ((this.j4.f21goto && this.kh.getLocType() == 61) || this.kh.getLocType() == 66 || this.kh.getLocType() == 67 || this.jP || this.kh.getLocType() == 161)) {
            Iterator it = this.kn.iterator();
            while (it.hasNext()) {
                ((BDLocationListener) it.next()).onReceiveLocation(this.kh);
            }
            if (this.kh.getLocType() != 66 && this.kh.getLocType() != 67) {
                this.jV = false;
                this.kc = System.currentTimeMillis();
            }
        }
    }

    private boolean e(int i) {
        if (this.j2 == null || !this.ka) {
            return false;
        }
        try {
            this.j2.send(Message.obtain((Handler) null, i));
            return true;
        } catch (Exception e) {
            return false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: else  reason: not valid java name */
    private void m24else(boolean z) {
        if (this.jH != null) {
            this.jH.onReportResult(z);
        }
        this.jH = null;
        this.jN = 0;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: if  reason: not valid java name */
    private void m32if(Message message, int i) {
        Bundle data = message.getData();
        data.setClassLoader(BDLocation.class.getClassLoader());
        this.kh = (BDLocation) data.getParcelable("locStr");
        if (this.kh.getLocType() == 61) {
            this.j3 = System.currentTimeMillis();
        }
        d(i);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void l(Message message) {
        if (message != null && message.obj != null) {
            this.jL.m122do((BDNotifyListener) message.obj);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void m(Message message) {
        if (message != null && message.obj != null) {
            BDLocationListener bDLocationListener = (BDLocationListener) message.obj;
            if (this.kn != null && this.kn.contains(bDLocationListener)) {
                this.kn.remove(bDLocationListener);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void n(Message message) {
        if (message != null && message.obj != null) {
            LocationClientOption locationClientOption = (LocationClientOption) message.obj;
            if (!this.j4.equals(locationClientOption)) {
                if (this.j4.f23int != locationClientOption.f23int) {
                    try {
                        synchronized (this.jG) {
                            if (this.jX) {
                                this.jE.removeCallbacks(this.jJ);
                                this.jX = false;
                            }
                            if (locationClientOption.f23int >= 1000 && !this.jX) {
                                if (this.jJ == null) {
                                    this.jJ = new b();
                                }
                                this.jE.postDelayed(this.jJ, (long) locationClientOption.f23int);
                                this.jX = true;
                            }
                        }
                    } catch (Exception e) {
                    }
                }
                this.j4 = new LocationClientOption(locationClientOption);
                if (this.j2 != null) {
                    try {
                        Message obtain = Message.obtain((Handler) null, 15);
                        obtain.replyTo = this.j0;
                        obtain.setData(cZ());
                        this.j2.send(obtain);
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void o(Message message) {
        if (this.j2 != null) {
            if ((System.currentTimeMillis() - this.j3 > 3000 || !this.j4.f21goto) && (!this.jP || System.currentTimeMillis() - this.kc > 20000)) {
                Message obtain = Message.obtain((Handler) null, 22);
                try {
                    obtain.replyTo = this.j0;
                    obtain.arg1 = message.arg1;
                    this.j2.send(obtain);
                    this.kb = System.currentTimeMillis();
                    this.jV = true;
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
            synchronized (this.jG) {
                if (this.j4 != null && this.j4.f23int >= 1000 && !this.jX) {
                    if (this.jJ == null) {
                        this.jJ = new b();
                    }
                    this.jE.postDelayed(this.jJ, (long) this.j4.f23int);
                    this.jX = true;
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void p(Message message) {
        Bundle data = message.getData();
        data.setClassLoader(BDLocation.class.getClassLoader());
        BDLocation bDLocation = (BDLocation) data.getParcelable("locStr");
        if (this.jU == null) {
            return;
        }
        if (this.j4 == null || !this.j4.a() || bDLocation.getLocType() != 65) {
            this.jU.onReceiveLocation(bDLocation);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void q(Message message) {
        if (message != null && message.obj != null) {
            this.jL.m123for((BDNotifyListener) message.obj);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void r(Message message) {
        if (message != null && message.obj != null) {
            BDLocationListener bDLocationListener = (BDLocationListener) message.obj;
            if (this.kn == null) {
                this.kn = new ArrayList();
            }
            this.kn.add(bDLocationListener);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void s(Message message) {
        if (message != null && message.obj != null) {
            this.jU = (BDLocationListener) message.obj;
        }
    }

    public void cancleError() {
        e(a1.f);
    }

    public String getAccessKey() {
        try {
            this.ke = v.a(this.j1);
            if (TextUtils.isEmpty(this.ke)) {
                throw new IllegalStateException("please setting key from Manifest.xml");
            }
            return String.format("KEY=%s;SHA1=%s", this.ke, v.m388if(this.j1));
        } catch (Exception e) {
            return null;
        }
    }

    public BDLocation getLastKnownLocation() {
        return this.kh;
    }

    public LocationClientOption getLocOption() {
        return this.j4;
    }

    public String getVersion() {
        return m.f135int;
    }

    public boolean isStarted() {
        return this.ka;
    }

    public boolean notifyError() {
        return e(a1.z);
    }

    @Override // com.baidu.location.an.a
    public void onReceiveLocation(BDLocation bDLocation) {
        Message obtainMessage = this.jE.obtainMessage(a1.H);
        obtainMessage.obj = bDLocation;
        obtainMessage.sendToTarget();
    }

    public void registerLocationListener(BDLocationListener bDLocationListener) {
        if (bDLocationListener == null) {
            throw new IllegalStateException("please set a non-null listener");
        }
        Message obtainMessage = this.jE.obtainMessage(5);
        obtainMessage.obj = bDLocationListener;
        obtainMessage.sendToTarget();
    }

    public void registerNotify(BDNotifyListener bDNotifyListener) {
        Message obtainMessage = this.jE.obtainMessage(9);
        obtainMessage.obj = bDNotifyListener;
        obtainMessage.sendToTarget();
    }

    public void registerNotifyLocationListener(BDLocationListener bDLocationListener) {
        Message obtainMessage = this.jE.obtainMessage(8);
        obtainMessage.obj = bDLocationListener;
        obtainMessage.sendToTarget();
    }

    public void removeNotifyEvent(BDNotifyListener bDNotifyListener) {
        Message obtainMessage = this.jE.obtainMessage(10);
        obtainMessage.obj = bDNotifyListener;
        obtainMessage.sendToTarget();
    }

    public int reportErrorWithInfo(BDErrorReport bDErrorReport) {
        if (this.j2 == null || !this.ka) {
            return 1;
        }
        if (bDErrorReport == null) {
            return 2;
        }
        if (System.currentTimeMillis() - this.jN < 50000 && this.jH != null) {
            return 4;
        }
        Bundle errorInfo = bDErrorReport.getErrorInfo();
        if (errorInfo == null) {
            return 3;
        }
        try {
            Message obtain = Message.obtain((Handler) null, (int) a1.f47byte);
            obtain.replyTo = this.j0;
            obtain.setData(errorInfo);
            this.j2.send(obtain);
            this.jH = bDErrorReport;
            this.jN = System.currentTimeMillis();
            return 0;
        } catch (Exception e) {
            return 1;
        }
    }

    public int requestLocation() {
        if (this.j2 == null || this.j0 == null) {
            return 1;
        }
        if (this.kn == null || this.kn.size() < 1) {
            return 2;
        }
        if (System.currentTimeMillis() - this.kb < 1000) {
            return 6;
        }
        Message obtainMessage = this.jE.obtainMessage(4);
        obtainMessage.arg1 = 0;
        obtainMessage.sendToTarget();
        return 0;
    }

    public void requestNotifyLocation() {
        this.jE.obtainMessage(11).sendToTarget();
    }

    public int requestOfflineLocation() {
        if (this.j2 == null || this.j0 == null) {
            return 1;
        }
        if (this.kn == null || this.kn.size() < 1) {
            return 2;
        }
        this.jE.obtainMessage(12).sendToTarget();
        return 0;
    }

    public void setDebug(boolean z) {
        this.jZ = z;
    }

    public void setForBaiduMap(boolean z) {
        this.jO = Boolean.valueOf(z);
    }

    public void setLocOption(LocationClientOption locationClientOption) {
        if (locationClientOption != null) {
            switch (locationClientOption.h) {
                case 1:
                    if (locationClientOption.f23int != 0 && locationClientOption.f23int < 1000) {
                        Log.w(a1.o, String.format("scanSpan time %d less than 1 second, location services may not star", Integer.valueOf(locationClientOption.f23int)));
                        break;
                    }
                case 2:
                    if (locationClientOption.f23int > 1000 && locationClientOption.f23int < 3000) {
                        locationClientOption.f23int = LocationClientOption.MIN_SCAN_SPAN_NETWORK;
                        Log.w(a1.o, String.format("scanSpan time %d less than 3 second, location services may not star", Integer.valueOf(locationClientOption.f23int)));
                        break;
                    }
                case 3:
                    if (locationClientOption.f23int == 0 || locationClientOption.f23int >= 1000) {
                        if (locationClientOption.f23int == 0) {
                            locationClientOption.f23int = 1000;
                            break;
                        }
                    } else {
                        Log.w(a1.o, String.format("scanSpan time %d less than 1 second, location services may not star", Integer.valueOf(locationClientOption.f23int)));
                        break;
                    }
                    break;
            }
        } else {
            locationClientOption = new LocationClientOption();
        }
        if (this.km == null) {
            this.km = new an(this.j1, locationClientOption, this);
            this.km.da();
        }
        Message obtainMessage = this.jE.obtainMessage(3);
        obtainMessage.obj = locationClientOption;
        obtainMessage.sendToTarget();
    }

    public void start() {
        this.jR = true;
        this.jS = System.currentTimeMillis();
        if (this.km == null) {
            this.km = new an(this.j1, this.j4, this);
            this.km.da();
        }
        this.km.c9();
        this.jE.obtainMessage(1).sendToTarget();
    }

    public void stop() {
        this.jE.obtainMessage(2).sendToTarget();
        this.km = null;
    }

    public void unRegisterLocationListener(BDLocationListener bDLocationListener) {
        if (bDLocationListener == null) {
            throw new IllegalStateException("please set a non-null listener");
        }
        Message obtainMessage = this.jE.obtainMessage(6);
        obtainMessage.obj = bDLocationListener;
        obtainMessage.sendToTarget();
    }

    public boolean updateLocation(Location location) {
        if (this.j2 == null || this.j0 == null || location == null) {
            return false;
        }
        try {
            Message obtain = Message.obtain((Handler) null, 57);
            obtain.obj = location;
            this.j2.send(obtain);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return true;
    }
}
