package com.baidu.mapapi.map;

import android.graphics.Point;
import com.baidu.mapapi.map.i;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapapi.model.a;
import com.baidu.platform.comapi.a.b;

public class WeightedLatLng extends i.a {
    public static final double DEFAULT_INTENSITY = 1.0d;
    private Point a;
    public final double intensity;
    public final LatLng latLng;

    public WeightedLatLng(LatLng latLng2) {
        this(latLng2, 1.0d);
    }

    public WeightedLatLng(LatLng latLng2, double d) {
        if (latLng2 == null) {
            throw new IllegalArgumentException("latLng can not be null");
        }
        this.latLng = latLng2;
        b a2 = a.a(latLng2);
        this.a = new Point((int) a2.b(), (int) a2.a());
        if (d > 0.0d) {
            this.intensity = d;
        } else {
            this.intensity = 1.0d;
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.baidu.mapapi.map.i.a
    public Point a() {
        return this.a;
    }
}
