package com.baidu.mapapi.radar;

import com.baidu.mapapi.model.LatLng;
import java.util.Date;

public class RadarNearbySearchOption {
    int a = -1;
    int b = 0;
    LatLng c;
    int d = 10;
    RadarNearbySearchSortType e = RadarNearbySearchSortType.distance_from_near_to_far;
    Date f;
    Date g;

    public RadarNearbySearchOption centerPt(LatLng latLng) {
        if (latLng != null) {
            this.c = latLng;
        }
        return this;
    }

    public RadarNearbySearchOption pageCapacity(int i) {
        this.d = i;
        return this;
    }

    public RadarNearbySearchOption pageNum(int i) {
        this.b = i;
        return this;
    }

    public RadarNearbySearchOption radius(int i) {
        this.a = i;
        return this;
    }

    public RadarNearbySearchOption sortType(RadarNearbySearchSortType radarNearbySearchSortType) {
        if (radarNearbySearchSortType != null) {
            this.e = radarNearbySearchSortType;
        }
        return this;
    }

    public RadarNearbySearchOption timeRange(Date date, Date date2) {
        if (!(date == null || date2 == null)) {
            this.f = date;
            this.g = date2;
        }
        return this;
    }
}
