package com.baidu.mapapi.search.route;

import java.util.List;

public class DrivingRoutePlanOption {
    PlanNode a = null;
    PlanNode b = null;
    DrivingPolicy c = DrivingPolicy.ECAR_TIME_FIRST;
    List<PlanNode> d = null;
    DrivingTrafficPolicy e = DrivingTrafficPolicy.ROUTE_PATH;

    public enum DrivingPolicy {
        ECAR_AVOID_JAM(-1),
        ECAR_TIME_FIRST(0),
        ECAR_DIS_FIRST(1),
        ECAR_FEE_FIRST(2);
        
        private int a;

        private DrivingPolicy(int i) {
            this.a = i;
        }

        public int getInt() {
            return this.a;
        }
    }

    public enum DrivingTrafficPolicy {
        ROUTE_PATH(0),
        ROUTE_PATH_AND_TRAFFIC(1);
        
        private int a;

        private DrivingTrafficPolicy(int i) {
            this.a = i;
        }

        public int getInt() {
            return this.a;
        }
    }

    public DrivingRoutePlanOption from(PlanNode planNode) {
        this.a = planNode;
        return this;
    }

    public DrivingRoutePlanOption passBy(List<PlanNode> list) {
        this.d = list;
        return this;
    }

    public DrivingRoutePlanOption policy(DrivingPolicy drivingPolicy) {
        this.c = drivingPolicy;
        return this;
    }

    public DrivingRoutePlanOption to(PlanNode planNode) {
        this.b = planNode;
        return this;
    }

    public DrivingRoutePlanOption trafficPolicy(DrivingTrafficPolicy drivingTrafficPolicy) {
        this.e = drivingTrafficPolicy;
        return this;
    }
}
