package com.baidu.mapapi.search.share;

import com.baidu.mapapi.search.core.SearchResult;
import com.baidu.platform.comapi.d.b;
import com.baidu.platform.comapi.d.d;

public class ShareUrlSearch {
    private d a;
    private OnGetShareUrlResultListener b;
    private boolean c;
    private int d;
    private int e;

    private class a implements b {
        private a() {
        }

        @Override // com.baidu.platform.comapi.d.b
        public void a(int i) {
            if (!ShareUrlSearch.this.c && ShareUrlSearch.this.b != null) {
                SearchResult.ERRORNO errorno = null;
                switch (i) {
                    case 2:
                        errorno = SearchResult.ERRORNO.NETWORK_ERROR;
                        break;
                    case 3:
                        errorno = SearchResult.ERRORNO.RESULT_NOT_FOUND;
                        break;
                    case 8:
                        errorno = SearchResult.ERRORNO.NETWORK_TIME_OUT;
                        break;
                    case 11:
                        errorno = SearchResult.ERRORNO.RESULT_NOT_FOUND;
                        break;
                    case 107:
                        errorno = SearchResult.ERRORNO.PERMISSION_UNFINISHED;
                        break;
                    case 500:
                        errorno = SearchResult.ERRORNO.KEY_ERROR;
                        break;
                }
                if (errorno != null) {
                    switch (ShareUrlSearch.this.e) {
                        case 1:
                            ShareUrlSearch.this.b.onGetPoiDetailShareUrlResult(new ShareUrlResult(errorno));
                            return;
                        case 2:
                            ShareUrlSearch.this.b.onGetLocationShareUrlResult(new ShareUrlResult(errorno));
                            return;
                        default:
                            return;
                    }
                }
            }
        }

        @Override // com.baidu.platform.comapi.d.b
        public void a(String str) {
        }

        @Override // com.baidu.platform.comapi.d.b
        public void b(String str) {
        }

        @Override // com.baidu.platform.comapi.d.b
        public void c(String str) {
        }

        @Override // com.baidu.platform.comapi.d.b
        public void d(String str) {
        }

        @Override // com.baidu.platform.comapi.d.b
        public void e(String str) {
            if (!ShareUrlSearch.this.c && ShareUrlSearch.this.b != null) {
                switch (ShareUrlSearch.this.e) {
                    case 1:
                        ShareUrlSearch.this.b.onGetPoiDetailShareUrlResult(a.a(str));
                        return;
                    case 2:
                        ShareUrlSearch.this.b.onGetLocationShareUrlResult(a.a(str));
                        return;
                    default:
                        return;
                }
            }
        }

        @Override // com.baidu.platform.comapi.d.b
        public void f(String str) {
        }

        @Override // com.baidu.platform.comapi.d.b
        public void g(String str) {
        }

        @Override // com.baidu.platform.comapi.d.b
        public void h(String str) {
        }

        @Override // com.baidu.platform.comapi.d.b
        public void i(String str) {
        }

        @Override // com.baidu.platform.comapi.d.b
        public void j(String str) {
        }

        @Override // com.baidu.platform.comapi.d.b
        public void k(String str) {
        }
    }

    ShareUrlSearch() {
        this.a = null;
        this.b = null;
        this.c = false;
        this.d = 0;
        this.e = 0;
        this.a = new d();
        this.a.a(new a());
    }

    public static ShareUrlSearch newInstance() {
        com.baidu.mapapi.a.a().b();
        return new ShareUrlSearch();
    }

    public void destroy() {
        if (!this.c) {
            this.c = true;
            this.b = null;
            this.a.a();
            this.a = null;
            com.baidu.mapapi.a.a().d();
        }
    }

    public boolean requestLocationShareUrl(LocationShareURLOption locationShareURLOption) {
        if (this.a == null) {
            throw new IllegalStateException("searcher has been destroyed");
        } else if (locationShareURLOption == null || locationShareURLOption.a == null || locationShareURLOption.b == null || locationShareURLOption.c == null) {
            throw new IllegalArgumentException("option or name or snippet  can not be null");
        } else {
            this.d = this.e;
            this.e = 2;
            return this.a.a(com.baidu.mapapi.model.a.b(locationShareURLOption.a), locationShareURLOption.b, locationShareURLOption.c);
        }
    }

    public boolean requestPoiDetailShareUrl(PoiDetailShareURLOption poiDetailShareURLOption) {
        if (this.a == null) {
            throw new IllegalStateException("searcher has been destroyed");
        } else if (poiDetailShareURLOption == null || poiDetailShareURLOption.a == null) {
            throw new IllegalArgumentException("option or uid can not be null");
        } else {
            this.d = this.e;
            this.e = 1;
            return this.a.b(poiDetailShareURLOption.a);
        }
    }

    public void setOnGetShareUrlResultListener(OnGetShareUrlResultListener onGetShareUrlResultListener) {
        this.b = onGetShareUrlResultListener;
    }
}
