package com.baidu.mapapi.utils;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.SharedPreferences;
import android.os.Build;
import android.os.Environment;
import android.os.storage.StorageManager;
import java.io.File;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Scanner;

public final class i {
    private static volatile i a = null;
    private boolean b = false;
    private boolean c = true;
    private final List<h> d = new ArrayList();
    private h e = null;
    private String f;

    private i() {
    }

    public static i a() {
        if (a == null) {
            synchronized (i.class) {
                if (a == null) {
                    a = new i();
                }
            }
        }
        return a;
    }

    private boolean a(String str) {
        Exception e2;
        boolean z;
        try {
            File file = new File(str + "/test.0");
            if (file.exists()) {
                file.delete();
            }
            z = file.createNewFile();
            try {
                if (file.exists()) {
                    file.delete();
                }
            } catch (Exception e3) {
                e2 = e3;
                e2.printStackTrace();
                return z;
            }
        } catch (Exception e4) {
            z = false;
            e2 = e4;
            e2.printStackTrace();
            return z;
        }
        return z;
    }

    @SuppressLint({"NewApi"})
    @TargetApi(14)
    private void c(Context context) {
        boolean z;
        try {
            StorageManager storageManager = (StorageManager) context.getSystemService("storage");
            Method method = storageManager.getClass().getMethod("getVolumeList", new Class[0]);
            Method method2 = storageManager.getClass().getMethod("getVolumeState", String.class);
            Class<?> cls = Class.forName("android.os.storage.StorageVolume");
            Method method3 = cls.getMethod("isRemovable", new Class[0]);
            Method method4 = cls.getMethod("getPath", new Class[0]);
            Object[] objArr = (Object[]) method.invoke(storageManager, new Object[0]);
            if (objArr != null) {
                for (Object obj : objArr) {
                    String str = (String) method4.invoke(obj, new Object[0]);
                    if (str != null && str.length() > 0) {
                        if ("mounted".equals(method2.invoke(storageManager, str))) {
                            boolean z2 = !((Boolean) method3.invoke(obj, new Object[0])).booleanValue();
                            if (Build.VERSION.SDK_INT <= 19 && a(str)) {
                                this.d.add(new h(str, !z2, z2 ? "内置存储卡" : "外置存储卡", context));
                            } else if (Build.VERSION.SDK_INT >= 19 && new File(str + File.separator + "BaiduMapSDK").exists() && str.equals(context.getSharedPreferences("map_pref", 0).getString("PREFFERED_SD_CARD", ""))) {
                                this.f = str + File.separator + "BaiduMapSDK";
                            }
                        }
                    }
                }
                if (Build.VERSION.SDK_INT >= 19) {
                    File[] externalFilesDirs = context.getExternalFilesDirs(null);
                    ArrayList arrayList = new ArrayList();
                    arrayList.addAll(this.d);
                    int i = 0;
                    while (i < externalFilesDirs.length && externalFilesDirs[i] != null) {
                        String absolutePath = externalFilesDirs[i].getAbsolutePath();
                        Iterator<h> it = this.d.iterator();
                        while (true) {
                            if (it.hasNext()) {
                                if (absolutePath.startsWith(it.next().a())) {
                                    z = true;
                                    break;
                                }
                            } else {
                                z = false;
                                break;
                            }
                        }
                        String str2 = context.getPackageManager().getPackageInfo(context.getPackageName(), 0).packageName;
                        if (!(str2 == null || z || absolutePath.indexOf(str2) == -1)) {
                            arrayList.add(new h(absolutePath, true, "外置存储卡", context));
                        }
                        i++;
                    }
                    this.d.clear();
                    this.d.addAll(arrayList);
                }
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0049, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:62:0x0115, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:63:0x0116, code lost:
        r2 = r1;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0049 A[ExcHandler: Exception (e java.lang.Exception), PHI: r1 
      PHI: (r1v8 java.util.Scanner) = (r1v7 java.util.Scanner), (r1v9 java.util.Scanner) binds: [B:24:0x0068, B:5:0x001d] A[DONT_GENERATE, DONT_INLINE], Splitter:B:5:0x001d] */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x004f  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00ab  */
    /* JADX WARNING: Removed duplicated region for block: B:87:? A[RETURN, SYNTHETIC] */
    private void d(Context context) {
        Scanner scanner;
        String[] split;
        String[] split2;
        Scanner scanner2 = null;
        ArrayList<String> arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        try {
            File file = new File("/proc/mounts");
            if (file.exists()) {
                scanner = new Scanner(file);
                while (scanner.hasNext()) {
                    try {
                        String nextLine = scanner.nextLine();
                        if (nextLine.startsWith("/dev/block/vold/") && (split2 = nextLine.replace('\t', ' ').split(" ")) != null && split2.length > 0) {
                            arrayList.add(split2[1]);
                        }
                    } catch (Exception e2) {
                    } catch (Throwable th) {
                        th = th;
                        scanner2 = scanner;
                        if (scanner2 != null) {
                        }
                        throw th;
                    }
                }
                scanner.close();
            }
            File file2 = new File("/system/etc/vold.fstab");
            if (file2.exists()) {
                scanner = new Scanner(file2);
                while (scanner.hasNext()) {
                    String nextLine2 = scanner.nextLine();
                    if (nextLine2.startsWith("dev_mount") && (split = nextLine2.replace('\t', ' ').split(" ")) != null && split.length > 0) {
                        String str = split[2];
                        if (str.contains(":")) {
                            str = str.substring(0, str.indexOf(":"));
                        }
                        arrayList2.add(str);
                    }
                }
                scanner.close();
            }
            String absolutePath = Environment.getExternalStorageDirectory().getAbsolutePath();
            this.d.add(new h(absolutePath, false, "Auto", context));
            for (String str2 : arrayList) {
                if (arrayList2.contains(str2) && !str2.equals(absolutePath)) {
                    File file3 = new File(str2);
                    if (file3.exists() && file3.isDirectory() && file3.canWrite()) {
                        this.d.add(new h(str2, false, "Auto", context));
                    }
                }
            }
            if (0 != 0) {
                scanner2.close();
            }
        } catch (Exception e3) {
            e = e3;
            scanner = null;
            try {
                e.printStackTrace();
                if (scanner == null) {
                    scanner.close();
                }
            } catch (Throwable th2) {
                th = th2;
                scanner2 = scanner;
                if (scanner2 != null) {
                }
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            if (scanner2 != null) {
                scanner2.close();
            }
            throw th;
        }
    }

    public void a(Context context) {
        int i;
        h hVar;
        int i2 = 0;
        if (!this.b) {
            this.b = true;
            try {
                if (Build.VERSION.SDK_INT >= 14) {
                    c(context);
                } else {
                    d(context);
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
            try {
                if (this.d.size() > 0) {
                    h hVar2 = null;
                    for (h hVar3 : this.d) {
                        if (new File(hVar3.b()).exists()) {
                            int i3 = i2 + 1;
                            hVar = hVar3;
                            i = i3;
                        } else {
                            i = i2;
                            hVar = hVar2;
                        }
                        hVar2 = hVar;
                        i2 = i;
                    }
                    if (i2 == 0) {
                        this.e = b(context);
                        if (this.e == null) {
                            Iterator<h> it = this.d.iterator();
                            while (true) {
                                if (!it.hasNext()) {
                                    break;
                                }
                                h next = it.next();
                                if (a(context, next)) {
                                    this.e = next;
                                    break;
                                }
                            }
                        }
                    } else if (i2 != 1) {
                        this.e = b(context);
                    } else if (a(context, hVar2)) {
                        this.e = hVar2;
                    }
                    if (this.e == null) {
                        this.e = this.d.get(0);
                    }
                }
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            try {
                if (this.e == null || !a(this.e.a())) {
                    this.c = false;
                    this.e = new h(context);
                    this.d.clear();
                    this.d.add(this.e);
                    return;
                }
                File file = new File(this.e.b());
                if (!file.exists()) {
                    file.mkdirs();
                }
                File file2 = new File(this.e.c());
                if (!file2.exists()) {
                    file2.mkdirs();
                }
                File file3 = new File(file2, ".nomedia");
                if (!file3.exists()) {
                    file3.createNewFile();
                }
            } catch (Exception e4) {
                e4.printStackTrace();
            }
        }
    }

    public boolean a(Context context, h hVar) {
        String a2 = hVar.a();
        if (!a(a2)) {
            return false;
        }
        SharedPreferences.Editor edit = context.getSharedPreferences("map_pref", 0).edit();
        edit.putString("PREFFERED_SD_CARD", a2);
        return edit.commit();
    }

    public h b() {
        return this.e;
    }

    public h b(Context context) {
        String string = context.getSharedPreferences("map_pref", 0).getString("PREFFERED_SD_CARD", "");
        if (string != null && string.length() > 0) {
            for (h hVar : this.d) {
                if (hVar.a().equals(string)) {
                    return hVar;
                }
            }
        }
        return null;
    }
}
