package com.umeng.analytics;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import java.io.File;
import java.io.FileInputStream;
import java.io.FilenameFilter;
import java.util.Arrays;
import java.util.Locale;
import u.aly.bq;
import u.aly.br;
import u.aly.cd;

/* compiled from: StoreHelper */
public final class h {
    private static h a = null;
    private static Context b = null;
    private static String c = null;
    private static long e = 1209600000;
    private static long f = 2097152;
    private static final String g = "mobclick_agent_user_";
    private static final String h = "mobclick_agent_online_setting_";
    private static final String i = "mobclick_agent_header_";
    private static final String j = "mobclick_agent_update_";
    private static final String k = "mobclick_agent_state_";
    private static final String l = "mobclick_agent_cached_";
    private a d;

    /* compiled from: StoreHelper */
    public interface b {
        void a(File file);

        boolean b(File file);

        void c(File file);
    }

    public h(Context context) {
        this.d = new a(context);
        b = context.getApplicationContext();
        c = context.getPackageName();
    }

    public static synchronized h a(Context context) {
        h hVar;
        synchronized (h.class) {
            if (a == null) {
                a = new h(context);
            }
            hVar = a;
        }
        return hVar;
    }

    private static boolean a(File file) {
        long length = file.length();
        if (!file.exists() || length <= f) {
            return false;
        }
        return true;
    }

    public void a(String str, String str2) {
        if (!TextUtils.isEmpty(str) && !TextUtils.isEmpty(str2)) {
            SharedPreferences.Editor edit = n().edit();
            edit.putString("au_p", str);
            edit.putString("au_u", str2);
            edit.commit();
        }
    }

    public String[] a() {
        SharedPreferences n = n();
        String string = n.getString("au_p", null);
        String string2 = n.getString("au_u", null);
        if (string == null || string2 == null) {
            return null;
        }
        return new String[]{string, string2};
    }

    public void b() {
        n().edit().remove("au_p").remove("au_u").commit();
    }

    public int[] c() {
        SharedPreferences j2 = j();
        int[] iArr = new int[2];
        if (j2.getInt(a.h, -1) != -1) {
            iArr[0] = j2.getInt(a.h, 1);
            iArr[1] = (int) j2.getLong(a.i, 0);
        } else {
            iArr[0] = j2.getInt(a.k, 1);
            iArr[1] = (int) j2.getLong(a.l, 0);
        }
        return iArr;
    }

    public void a(int i2) {
        SharedPreferences j2;
        if (i2 >= 0 && i2 <= 3 && (j2 = j()) != null) {
            j2.edit().putInt("oc_dc", i2).commit();
        }
    }

    public int d() {
        SharedPreferences j2 = j();
        if (j2 != null) {
            return j2.getInt("oc_dc", 0);
        }
        return 0;
    }

    public void b(int i2) {
        SharedPreferences j2;
        if (i2 > 0 && (j2 = j()) != null) {
            j2.edit().putInt("oc_lt", i2).commit();
        }
    }

    public int e() {
        SharedPreferences j2 = j();
        if (j2 != null) {
            return j2.getInt("oc_lt", 0);
        }
        return 0;
    }

    public void c(int i2) {
        SharedPreferences j2 = j();
        if (j2 != null) {
            j2.edit().putInt("oc_ec", i2).commit();
        }
    }

    public int d(int i2) {
        SharedPreferences j2 = j();
        if (j2 != null) {
            return j2.getInt("oc_ec", i2);
        }
        return i2;
    }

    public void a(int i2, int i3) {
        SharedPreferences.Editor edit = a(b).j().edit();
        edit.putInt(a.h, i2);
        edit.putLong(a.i, (long) i3);
        edit.commit();
    }

    public byte[] f() {
        FileInputStream fileInputStream;
        Throwable th;
        Exception e2;
        byte[] bArr = null;
        String p = p();
        File file = new File(b.getFilesDir(), p);
        if (a(file)) {
            file.delete();
        } else if (file.exists()) {
            try {
                fileInputStream = b.openFileInput(p);
                try {
                    bArr = cd.b(fileInputStream);
                    cd.c(fileInputStream);
                } catch (Exception e3) {
                    e2 = e3;
                    try {
                        e2.printStackTrace();
                        cd.c(fileInputStream);
                        return bArr;
                    } catch (Throwable th2) {
                        th = th2;
                        cd.c(fileInputStream);
                        throw th;
                    }
                }
            } catch (Exception e4) {
                e2 = e4;
                fileInputStream = null;
                e2.printStackTrace();
                cd.c(fileInputStream);
                return bArr;
            } catch (Throwable th3) {
                fileInputStream = null;
                th = th3;
                cd.c(fileInputStream);
                throw th;
            }
        }
        return bArr;
    }

    public void a(byte[] bArr) {
        try {
            cd.a(new File(b.getFilesDir(), p()), bArr);
        } catch (Exception e2) {
            br.b(a.e, e2.getMessage());
        }
    }

    public void g() {
        b.deleteFile(o());
        b.deleteFile(p());
    }

    public void b(byte[] bArr) {
        this.d.a(bArr);
    }

    public boolean h() {
        return this.d.a();
    }

    public a i() {
        return this.d;
    }

    private SharedPreferences n() {
        return b.getSharedPreferences(g + c, 0);
    }

    public SharedPreferences j() {
        return b.getSharedPreferences(h + c, 0);
    }

    public SharedPreferences k() {
        return b.getSharedPreferences(i + c, 0);
    }

    public SharedPreferences l() {
        return b.getSharedPreferences(j + c, 0);
    }

    public SharedPreferences m() {
        return b.getSharedPreferences(k + c, 0);
    }

    private String o() {
        return i + c;
    }

    private String p() {
        return l + c + bq.c(b);
    }

    /* compiled from: StoreHelper */
    public static class a {
        private final int a;
        private File b;
        private FilenameFilter c;

        public a(Context context) {
            this(context, ".um");
        }

        public a(Context context, String str) {
            this.a = 10;
            this.c = new FilenameFilter() {
                /* class com.umeng.analytics.h.a.AnonymousClass1 */

                public boolean accept(File file, String str) {
                    return str.startsWith("um");
                }
            };
            this.b = new File(context.getFilesDir(), str);
            if (!this.b.exists() || !this.b.isDirectory()) {
                this.b.mkdir();
            }
        }

        public boolean a() {
            File[] listFiles = this.b.listFiles();
            if (listFiles == null || listFiles.length <= 0) {
                return false;
            }
            return true;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:12:0x0027, code lost:
            r1[r0].delete();
         */
        /* JADX WARNING: Exception block dominator not found, dom blocks: [] */
        public void a(b bVar) {
            File[] listFiles = this.b.listFiles(this.c);
            if (listFiles != null && listFiles.length > 0) {
                bVar.a(this.b);
                int length = listFiles.length;
                int i = 0;
                while (i < length) {
                    if (bVar.b(listFiles[i])) {
                        listFiles[i].delete();
                    }
                    i++;
                }
                bVar.c(this.b);
            }
        }

        public void a(byte[] bArr) {
            if (!(bArr == null || bArr.length == 0)) {
                try {
                    cd.a(new File(this.b, String.format(Locale.US, "um_cache_%d.env", Long.valueOf(System.currentTimeMillis()))), bArr);
                } catch (Exception e) {
                }
                File[] listFiles = this.b.listFiles(this.c);
                if (listFiles != null && listFiles.length >= 10) {
                    Arrays.sort(listFiles);
                    int length = listFiles.length - 10;
                    for (int i = 0; i < length; i++) {
                        listFiles[i].delete();
                    }
                }
            }
        }

        public void b() {
            File[] listFiles = this.b.listFiles(this.c);
            if (listFiles != null && listFiles.length > 0) {
                for (File file : listFiles) {
                    file.delete();
                }
            }
        }

        public int c() {
            File[] listFiles = this.b.listFiles(this.c);
            if (listFiles == null || listFiles.length <= 0) {
                return 0;
            }
            return listFiles.length;
        }
    }
}
